Debian Bug report logs - #651741
gnome-power-manager: display backlight brightness has no effect on Sony Vaio VPCYA1V9E

version graph

Package: xserver-xorg-video-intel; Maintainer for xserver-xorg-video-intel is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-video-intel is src:xserver-xorg-video-intel.

Reported by: Kalle Olavi Niemitalo <kon@iki.fi>

Date: Sun, 11 Dec 2011 20:15:05 UTC

Severity: normal

Tags: patch, upstream

Found in versions xserver-xorg-video-intel/2:2.18.0-1, xserver-xorg-video-intel/2:2.18.0-2, xserver-xorg-video-intel/2:2.19.0-6, xserver-xorg-video-intel/2:2.17.0-1, gnome-power-manager/3.0.2-3

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=44809

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kon@iki.fi, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#651741; Package gnome-power-manager. (Sun, 11 Dec 2011 20:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kalle Olavi Niemitalo <kon@iki.fi>:
New Bug report received and forwarded. Copy sent to kon@iki.fi, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 11 Dec 2011 20:15:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kalle Olavi Niemitalo <kon@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-power-manager: display backlight brightness has no effect on Sony Vaio VPCYA1V9E
Date: Sun, 11 Dec 2011 22:14:14 +0200
[Message part 1 (text/plain, inline)]
Package: gnome-power-manager
Version: 3.0.2-3
Severity: normal

On a Sony Vaio VPCYA1V9E laptop, if I press Fn+F5 or Fn+F6, then
gnome-power-manager attempts to change the brightness of the
display backlight, and shows a window as if it had worked.
However, the brightness does not change.  Likewise, if I change
the brightness via System Settings -> Screen, then the slider
does move, but it has no effect.

Linux 3.1.0 detects two backlight devices:

% ls -l /sys/class/backlight
total 0
lrwxrwxrwx 1 root root 0 Dec 11 20:10 acpi_video0 -> ../../devices/pci0000:00/0000:00:02.0/backlight/acpi_video0
lrwxrwxrwx 1 root root 0 Dec 11 20:21 intel_backlight -> ../../devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight
% cat /sys/class/backlight/acpi_video0/max_brightness 
8
% cat /sys/class/backlight/acpi_video0/type
firmware
% cat /sys/class/backlight/intel_backlight/max_brightness 
4882
% cat /sys/class/backlight/intel_backlight/type
raw

Of these, only intel_backlight actually affects the screen of the
laptop; acpi_video0/brightness can be changed (by root) but does
not seem to affect anything.  (I haven't tried with an external
display.)  However, /usr/sbin/gnome-power-backlight-helper always
chooses acpi_video0 and ignores intel_backlight.  It has a
built-in list of backlight devices that it tries to open;
acpi_video0 is on this list but intel_backlight is not.
Because it succeeds in opening acpi_video0, it does not read the
/sys/class/backlight directory to see what other devices exist.

GNOME 3.0 source code for selecting the backlight device:
http://git.gnome.org/browse/gnome-power-manager/tree/src/gpm-backlight-helper.c?h=gnome-3-0#n52

In GNOME 3.2, the code has been moved to gnome-settings-daemon,
but still does not recognize intel_backlight:
http://git.gnome.org/browse/gnome-settings-daemon/tree/plugins/power/gsd-backlight-helper.c?h=gnome-3-2#n49

It would be best if backlight control worked correctly with the
default settings.  It seems the easiest way to achieve that is to
add "intel_backlight" to the list in {gpm,gsd}-backlight-helper.c,
somewhere above "acpi_video0" so that it takes precedence.

Alternatively, Linux could perhaps be made to entirely omit the
nonfunctional acpi_video0 backlight device and thereby cause
gnome-power-backlight-helper to read the directory and find
intel_backlight.

The acpi_backlight=vendor kernel option seems like a step in the
right direction, as it does make the
/sys/class/backlight/acpi_video0 directory disappear.  However,
it also makes /sys/class/backlight/sony appear instead, and
"sony" is on the list in gnome-power-backlight-helper, which
therefore still does not read the directory.  Unfortunately,
backlight control via the sony directory does not work either;
both brightness and actual_brightness are constantly -1 there.

If I use acpi_backlight=vendor and unload the sony-laptop module,
then the sony directory disappears too,
gnome-power-backlight-helper opens intel_backlight, and I can
finally change the brightness via the screen settings dialog box!
That solution is still not satisfactory though, because Linux
does not recognize the Fn+F5 and Fn+F6 key combinations without
the sony-laptop module.

The package-specific info below is incomplete because the
bug-reporting script tried to use HAL and I don't have that
installed.  However, dmidecode shows:

# dmidecode 2.11
SMBIOS 2.6 present.
17 structures occupying 853 bytes.
Table at 0x000EA490.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
        Vendor: INSYDE
        Version: R0070Z6
        Release Date: 11/02/2010
        ROM Size: 2048 kB
        Characteristics:
                PCI is supported
                PNP is supported
                BIOS is upgradeable
                BIOS shadowing is allowed
                Boot from CD is supported
                Selectable boot is supported
                EDD is supported
                8042 keyboard services are supported (int 9h)
                CGA/mono video services are supported (int 10h)
                ACPI is supported
                USB legacy is supported
                Smart battery is supported
                BIOS boot specification is supported
                Function key-initiated network boot is supported
                Targeted content distribution is supported
        BIOS Revision: 0.70
        Firmware Revision: 0.70

Handle 0x0001, DMI type 1, 27 bytes
System Information
        Manufacturer: Sony Corporation
        Product Name: VPCYA1V9E
        Version: C9006WUT
        Serial Number: (removed from bug report)
        UUID: (removed from bug report)
        Wake-up Type: Power Switch
        SKU Number: N/A
        Family: VAIO

Handle 0x0002, DMI type 2, 16 bytes
Base Board Information
        Manufacturer: Sony Corporation
        Product Name: VAIO
        Version: N/A
        Serial Number: C9006WUT
        Asset Tag: N/A
        Features:
                Board is a hosting board
        Location In Chassis: Base Board Chassis Location
        Chassis Handle: 0x0003
        Type: Motherboard
        Contained Object Handles: 0

(handles 0x0003 to 0x0010 removed from bug report)

-- Package-specific info:
Distro version:       wheezy/sid
Kernel version:       3.1.0-1-amd64
g-p-m version:        3.0.2
HAL version:          System manufacturer:  missing
System version:       missing
System product:       missing
AC adapter present:   no
Battery present:      no
Laptop panel present: no
CPU scaling present:  no
Battery Information:
UPower data:
Device: /org/freedesktop/UPower/devices/line_power_ADP1
  native-path:          /sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0c/PNP0C09:00/ACPI0003:00/power_supply/ADP1
  power supply:         yes
  updated:              Sun Dec 11 20:10:53 2011 (1106 seconds ago)
  has history:          no
  has statistics:       no
  line-power
    online:             no

Device: /org/freedesktop/UPower/devices/battery_BAT0
  native-path:          /sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0c/PNP0C09:00/PNP0C0A:00/power_supply/BAT0
  vendor:               Sony Corp.
  model:                VGP-BPS21B
  serial:               (removed from bug report)
  power supply:         yes
  updated:              Sun Dec 11 20:29:02 2011 (17 seconds ago)
  has history:          yes
  has statistics:       yes
  battery
    present:             yes
    rechargeable:        yes
    state:               discharging
    energy:              16.03 Wh
    energy-empty:        0 Wh
    energy-full:         40.56 Wh
    energy-full-design:  41.04 Wh
    energy-rate:         13.621 W
    voltage:             10.768 V
    time to empty:       1.2 hours
    percentage:          39.5217%
    capacity:            98.8304%
    technology:          lithium-ion
  History (charge):
    1323628142	39.522	discharging
    1323628112	39.793	discharging
    1323628082	40.089	discharging
    1323628052	40.360	discharging
  History (rate):
    1323628142	13.621	discharging
    1323628112	13.518	discharging
    1323628082	13.499	discharging
    1323628052	13.311	discharging

Daemon:
  daemon-version:  0.9.14
  can-suspend:     yes
  can-hibernate    yes
  on-battery:      yes
  on-low-battery:  no
  lid-is-closed:   no
  lid-is-present:  yes
  is-docked:       no
GNOME Power Manager Process Information:
HAL Process Information:

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=fi_FI.utf8, LC_CTYPE=fi_FI.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-power-manager depends on:
ii  consolekit                                   0.4.5-1   
ii  dbus-x11                                     1.4.16-1  
ii  dconf-gsettings-backend [gsettings-backend]  0.7.5-3   
ii  gnome-screensaver                            3.0.1-3   
ii  gnome-settings-daemon                        3.0.3-3   
ii  libc6                                        2.13-21   
ii  libcairo2                                    1.10.2-6.1
ii  libcanberra-gtk3-0                           0.28-3    
ii  libcanberra0                                 0.28-3    
ii  libglib2.0-0                                 2.30.2-4  
ii  libgnome-keyring0                            3.2.0-3   
ii  libgtk-3-0                                   3.0.12-2  
ii  libnotify4                                   0.7.4-1   
ii  libpango1.0-0                                1.29.4-2  
ii  libupower-glib1                              0.9.14-3  
ii  libx11-6                                     2:1.4.4-4 
ii  libxext6                                     2:1.3.0-3 
ii  libxrandr2                                   2:1.3.2-2 
ii  notification-daemon                          0.7.3-1   
ii  upower                                       0.9.14-3  

Versions of packages gnome-power-manager recommends:
ii  udisks  1.0.4-2

Versions of packages gnome-power-manager suggests:
ii  policykit-1  0.102-2

-- no debconf information
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#651741; Package gnome-power-manager. (Sun, 08 Jan 2012 20:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kalle Olavi Niemitalo <kon@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 08 Jan 2012 20:18:04 GMT) Full text and rfc822 format available.

Message #10 received at 651741@bugs.debian.org (full text, mbox):

From: Kalle Olavi Niemitalo <kon@iki.fi>
To: 651741@bugs.debian.org
Subject: Re: Bug#651741: gnome-power-manager: display backlight brightness has no effect on Sony Vaio VPCYA1V9E
Date: Sun, 08 Jan 2012 22:16:34 +0200
[Message part 1 (text/plain, inline)]
Package: xserver-xorg-video-intel
Version: 2:2.17.0-1

Kalle Olavi Niemitalo <kon@iki.fi> writes:

> It would be best if backlight control worked correctly with the
> default settings.  It seems the easiest way to achieve that is to
> add "intel_backlight" to the list in {gpm,gsd}-backlight-helper.c,
> somewhere above "acpi_video0" so that it takes precedence.

I was wrong.  Adding "intel_backlight" to gpm-backlight-helper.c
does make /usr/sbin/gnome-power-backlight-helper --set-brightness
correctly change the backlight brightness on Sony Vaio VPCYA1V9E,
but the Fn+F5 and Fn+F6 key combinations still do not change it,
nor does the slider in the display settings window.  The problem
is that gnome-power-manager decides to control the backlight via
the RANDR extension and never executes gnome-power-backlight-helper.

RANDR indeed shows "BACKLIGHT" and "Backlight" properties for the
LVDS1 output of screen 0:

% xrandr --props|grep -i backl
	BACKLIGHT: 3 (0x00000003)	range:  (0,8)
	Backlight: 3 (0x00000003)	range:  (0,8)

I can also set a different value:

% xrandr --output LVDS1 --set Backlight 5

but this only changes /sys/class/backlight/acpi_video0/brightness,
which does not actually affect the display, as described before.
Indeed, /var/log/Xorg.0.log shows this line:

[    35.160] (II) intel(0): found backlight control interface /sys/class/backlight/acpi_video0

I was able to work around the problem by patching the
gpm_brightness_setup_display function in gnome-power-manager to
always return FALSE; this caused gnome-power-manager to run
gnome-power-backlight-helper, which I had patched to recognize
"intel_backlight".  With these patches, the key combinations and
the slider actually adjust the brightness.  However, this hack is
clearly not suitable for other computer models and therefore
should not be included in the Debian package.

It seems the real fix will have to be made in
xserver-xorg-video-intel, or perhaps in the Linux kernel.
Considering where the backlight devices reside in the tree;

lrwxrwxrwx 1 root root 0 tammi  7 19:31 /sys/class/backlight/acpi_video0 -> ../../devices/pci0000:00/0000:00:02.0/backlight/acpi_video0
lrwxrwxrwx 1 root root 0 tammi  7 19:33 /sys/class/backlight/intel_backlight -> ../../devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight

I think Linux is clearly enough associating the (working)
intel_backlight device with the LVDS1 output, whereas the
(useless) acpi_video0 device is more generally associated with
the PCI function.  I'm not really familiar with the semantics and
compatibility policies of the sys hierarchy but it does seem the
information is there just waiting for xserver-xorg-video-intel to
use it.

http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/src/intel_display.c?id=ce1e0969058f8c70b624bc85bb8d6698a35794d3
shows xserver-xorg-video-intel originally preferred the intel
backlight driver, but it was dropped to the bottom of the list
when it was renamed from "intel" to "intel_backlist".

So, the next thing I'll try will be moving it back to the top.

-- Package-specific info:
X server symlink status:
------------------------
lrwxrwxrwx 1 root root 13 Aug 14 07:32 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 2056592 Dec 10 23:57 /usr/bin/Xorg

VGA-compatible devices on PCI bus:
----------------------------------
00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02)

/etc/X11/xorg.conf does not exist.

/etc/X11/xorg.conf.d does not exist.

KMS configuration files:
------------------------
/etc/modprobe.d/i915-kms.conf:
  options i915 modeset=1
/etc/modprobe.d/radeon-kms.conf:
  options radeon modeset=1

Kernel version (/proc/version):
-------------------------------
Linux version 3.1.0-1-amd64 (Debian 3.1.5-1) (ben@decadent.org.uk) (gcc version 4.6.2 (Debian 4.6.2-7) ) #1 SMP Sun Dec 11 20:36:41 UTC 2011

Xorg X server log files on system:
----------------------------------
-rw-r--r-- 1 root root 32162 Dec  8 07:42 /var/log/Xorg.1.log
-rw-r--r-- 1 root root 38441 Jan  8 20:56 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file (/var/log/Xorg.0.log):
---------------------------------------------------------------------
[    34.423] 
X.Org X Server 1.11.2.902 (1.11.3 RC 2)
Release Date: 2011-12-09
[    34.423] X Protocol Version 11, Revision 0
[    34.423] Build Operating System: Linux 3.1.0-1-amd64 x86_64 Debian
[    34.424] Current Operating System: Linux Niukka 3.1.0-1-amd64 #1 SMP Sun Dec 11 20:36:41 UTC 2011 x86_64
[    34.424] Kernel command line: BOOT_IMAGE=/vmlinuz-3.1.0-1-amd64 root=/dev/mapper/Niukka-root ro no_console_suspend
[    34.424] Build Date: 10 December 2011  09:55:45PM
[    34.424] xorg-server 2:1.11.2.902-1 (Cyril Brulebois <kibi@debian.org>) 
[    34.424] Current version of pixman: 0.24.0
[    34.424] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[    34.424] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    34.424] (==) Log file: "/var/log/Xorg.0.log", Time: Sat Jan  7 19:31:11 2012
[    34.492] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    34.534] (==) No Layout section.  Using the first Screen section.
[    34.535] (==) No screen section available. Using defaults.
[    34.535] (**) |-->Screen "Default Screen Section" (0)
[    34.535] (**) |   |-->Monitor "<default monitor>"
[    34.564] (==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
[    34.564] (==) Automatically adding devices
[    34.564] (==) Automatically enabling devices
[    34.602] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    34.602] 	Entry deleted from font path.
[    34.720] (WW) `fonts.dir' not found (or not valid) in "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType".
[    34.720] 	Entry deleted from font path.
[    34.720] 	(Run 'mkfontdir' on "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType").
[    34.720] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	built-ins
[    34.720] (==) ModulePath set to "/usr/lib/xorg/modules"
[    34.720] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[    34.720] (II) Loader magic: 0x7f2f48263ae0
[    34.720] (II) Module ABI versions:
[    34.720] 	X.Org ANSI C Emulation: 0.4
[    34.720] 	X.Org Video Driver: 11.0
[    34.720] 	X.Org XInput driver : 13.0
[    34.720] 	X.Org Server Extension : 6.0
[    34.722] (--) PCI:*(0:0:2:0) 8086:0046:104d:907c rev 2, Mem @ 0xd0000000/4194304, 0xc0000000/268435456, I/O @ 0x00003050/8
[    34.722] (WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
[    34.722] (II) LoadModule: "extmod"
[    34.789] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[    34.838] (II) Module extmod: vendor="X.Org Foundation"
[    34.838] 	compiled for 1.11.2.902, module version = 1.0.0
[    34.838] 	Module class: X.Org Server Extension
[    34.838] 	ABI class: X.Org Server Extension, version 6.0
[    34.838] (II) Loading extension SELinux
[    34.838] (II) Loading extension MIT-SCREEN-SAVER
[    34.838] (II) Loading extension XFree86-VidModeExtension
[    34.838] (II) Loading extension XFree86-DGA
[    34.860] (II) Loading extension DPMS
[    34.860] (II) Loading extension XVideo
[    34.862] (II) Loading extension XVideo-MotionCompensation
[    34.862] (II) Loading extension X-Resource
[    34.862] (II) LoadModule: "dbe"
[    34.862] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[    34.890] (II) Module dbe: vendor="X.Org Foundation"
[    34.890] 	compiled for 1.11.2.902, module version = 1.0.0
[    34.891] 	Module class: X.Org Server Extension
[    34.891] 	ABI class: X.Org Server Extension, version 6.0
[    34.891] (II) Loading extension DOUBLE-BUFFER
[    34.891] (II) LoadModule: "glx"
[    34.891] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    34.919] (II) Module glx: vendor="X.Org Foundation"
[    34.919] 	compiled for 1.11.2.902, module version = 1.0.0
[    34.919] 	ABI class: X.Org Server Extension, version 6.0
[    34.919] (==) AIGLX enabled
[    34.919] (II) Loading extension GLX
[    34.921] (II) LoadModule: "record"
[    34.922] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[    34.923] (II) Module record: vendor="X.Org Foundation"
[    34.923] 	compiled for 1.11.2.902, module version = 1.13.0
[    34.924] 	Module class: X.Org Server Extension
[    34.924] 	ABI class: X.Org Server Extension, version 6.0
[    34.924] (II) Loading extension RECORD
[    34.924] (II) LoadModule: "dri"
[    34.924] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[    34.956] (II) Module dri: vendor="X.Org Foundation"
[    34.956] 	compiled for 1.11.2.902, module version = 1.0.0
[    34.956] 	ABI class: X.Org Server Extension, version 6.0
[    34.956] (II) Loading extension XFree86-DRI
[    34.956] (II) LoadModule: "dri2"
[    34.956] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    34.964] (II) Module dri2: vendor="X.Org Foundation"
[    34.964] 	compiled for 1.11.2.902, module version = 1.2.0
[    34.964] 	ABI class: X.Org Server Extension, version 6.0
[    34.964] (II) Loading extension DRI2
[    34.964] (==) Matched intel as autoconfigured driver 0
[    34.964] (==) Matched vesa as autoconfigured driver 1
[    34.964] (==) Matched fbdev as autoconfigured driver 2
[    34.964] (==) Assigned the driver to the xf86ConfigLayout
[    34.964] (II) LoadModule: "intel"
[    34.965] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
[    35.020] (II) Module intel: vendor="X.Org Foundation"
[    35.020] 	compiled for 1.11.1.902, module version = 2.17.0
[    35.020] 	Module class: X.Org Video Driver
[    35.020] 	ABI class: X.Org Video Driver, version 11.0
[    35.021] (II) LoadModule: "vesa"
[    35.021] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    35.095] (II) Module vesa: vendor="X.Org Foundation"
[    35.095] 	compiled for 1.11.0, module version = 2.3.0
[    35.095] 	Module class: X.Org Video Driver
[    35.095] 	ABI class: X.Org Video Driver, version 11.0
[    35.095] (II) LoadModule: "fbdev"
[    35.095] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[    35.097] (II) Module fbdev: vendor="X.Org Foundation"
[    35.097] 	compiled for 1.11.0, module version = 0.4.2
[    35.097] 	ABI class: X.Org Video Driver, version 11.0
[    35.097] (II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
	965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
	4 Series, G45/G43, Q45/Q43, G41, B43, B43, Clarkdale, Arrandale,
	Sandybridge Desktop (GT1), Sandybridge Desktop (GT2),
	Sandybridge Desktop (GT2+), Sandybridge Mobile (GT1),
	Sandybridge Mobile (GT2), Sandybridge Mobile (GT2+),
	Sandybridge Server, Ivybridge Mobile (GT1), Ivybridge Mobile (GT2),
	Ivybridge Desktop (GT1), Ivybridge Desktop (GT2), Ivybridge Server
[    35.098] (II) VESA: driver for VESA chipsets: vesa
[    35.098] (II) FBDEV: driver for framebuffer: fbdev
[    35.098] (++) using VT number 7

[    35.138] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
[    35.138] (WW) Falling back to old probe method for vesa
[    35.138] (WW) Falling back to old probe method for fbdev
[    35.138] (II) Loading sub module "fbdevhw"
[    35.138] (II) LoadModule: "fbdevhw"
[    35.139] (II) Loading /usr/lib/xorg/modules/libfbdevhw.so
[    35.155] (II) Module fbdevhw: vendor="X.Org Foundation"
[    35.155] 	compiled for 1.11.2.902, module version = 0.0.2
[    35.155] 	ABI class: X.Org Video Driver, version 11.0
[    35.155] drmOpenDevice: node name is /dev/dri/card0
[    35.155] drmOpenDevice: open result is 8, (OK)
[    35.155] drmOpenByBusid: Searching for BusID pci:0000:00:02.0
[    35.155] drmOpenDevice: node name is /dev/dri/card0
[    35.155] drmOpenDevice: open result is 8, (OK)
[    35.155] drmOpenByBusid: drmOpenMinor returns 8
[    35.155] drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
[    35.155] (II) intel(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
[    35.155] (==) intel(0): Depth 24, (--) framebuffer bpp 32
[    35.155] (==) intel(0): RGB weight 888
[    35.155] (==) intel(0): Default visual is TrueColor
[    35.156] (II) intel(0): Integrated Graphics Chipset: Intel(R) Arrandale
[    35.156] (--) intel(0): Chipset: "Arrandale"
[    35.156] (**) intel(0): Relaxed fencing enabled
[    35.156] (**) intel(0): Wait on SwapBuffers? enabled
[    35.156] (**) intel(0): Triple buffering? enabled
[    35.156] (**) intel(0): Framebuffer tiled
[    35.156] (**) intel(0): Pixmaps tiled
[    35.156] (**) intel(0): 3D buffers tiled
[    35.156] (**) intel(0): SwapBuffers wait enabled
[    35.156] (==) intel(0): video overlay key set to 0x101fe
[    35.156] (II) intel(0): Output LVDS1 has no monitor section
[    35.160] (II) intel(0): found backlight control interface /sys/class/backlight/acpi_video0
[    35.160] (II) intel(0): Output VGA1 has no monitor section
[    35.183] (II) intel(0): Output HDMI1 has no monitor section
[    35.236] (II) intel(0): Output DP1 has no monitor section
[    35.236] (II) intel(0): EDID for output LVDS1
[    35.236] (II) intel(0): Manufacturer: CMO  Model: 1113  Serial#: 0
[    35.236] (II) intel(0): Year: 2009  Week: 9
[    35.236] (II) intel(0): EDID Version: 1.3
[    35.236] (II) intel(0): Digital Display Input
[    35.236] (II) intel(0): Max Image Size [cm]: horiz.: 26  vert.: 14
[    35.236] (II) intel(0): Gamma: 2.20
[    35.236] (II) intel(0): No DPMS capabilities specified
[    35.236] (II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
[    35.236] (II) intel(0): First detailed timing is preferred mode
[    35.236] (II) intel(0): redX: 0.573 redY: 0.358   greenX: 0.339 greenY: 0.568
[    35.236] (II) intel(0): blueX: 0.153 blueY: 0.124   whiteX: 0.313 whiteY: 0.329
[    35.236] (II) intel(0): Manufacturer's mask: 0
[    35.236] (II) intel(0): Supported detailed timing:
[    35.236] (II) intel(0): clock: 69.3 MHz   Image Size:  256 x 144 mm
[    35.236] (II) intel(0): h_active: 1366  h_sync: 1398  h_sync_end 1420 h_blank_end 1474 h_border: 0
[    35.236] (II) intel(0): v_active: 768  v_sync: 770  v_sync_end 774 v_blanking: 784 v_border: 0
[    35.236] (II) intel(0):  N116BGE-L41
[    35.236] (II) intel(0):  CMO
[    35.236] (II) intel(0):  N116BGE-L41
[    35.236] (II) intel(0): EDID (in hex):
[    35.236] (II) intel(0): 	00ffffffffffff000daf131100000000
[    35.236] (II) intel(0): 	09130103801a0e780afe75925b569127
[    35.236] (II) intel(0): 	1f505400000001010101010101010101
[    35.236] (II) intel(0): 	010101010101121b566c500010302016
[    35.236] (II) intel(0): 	2400009010000018000000fe004e3131
[    35.236] (II) intel(0): 	364247452d4c34310a20000000fe0043
[    35.236] (II) intel(0): 	4d4f0a202020202020202020000000fe
[    35.236] (II) intel(0): 	004e3131364247452d4c34310a20008f
[    35.236] (II) intel(0): EDID vendor "CMO", prod id 4371
[    35.236] (II) intel(0): Printing DDC gathered Modelines:
[    35.236] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[    35.237] (II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "640x480" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "896x672" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "928x696" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "720x450" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "800x512" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "960x540" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "960x600" (doublescan mode not supported)
[    35.237] (II) intel(0): Not using default mode "1024x768" (doublescan mode not supported)
[    35.237] (II) intel(0): Printing probed modes for output LVDS1
[    35.237] (II) intel(0): Modeline "1366x768"x60.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[    35.237] (II) intel(0): Modeline "1360x768"x59.8   84.75  1360 1432 1568 1776  768 771 781 798 -hsync +vsync (47.7 kHz)
[    35.237] (II) intel(0): Modeline "1360x768"x60.0   72.00  1360 1408 1440 1520  768 771 781 790 +hsync -vsync (47.4 kHz)
[    35.237] (II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
[    35.237] (II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
[    35.237] (II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz)
[    35.237] (II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[    35.237] (II) intel(0): EDID for output VGA1
[    35.260] (II) intel(0): EDID for output HDMI1
[    35.308] (II) intel(0): EDID for output DP1
[    35.308] (II) intel(0): Output LVDS1 connected
[    35.308] (II) intel(0): Output VGA1 disconnected
[    35.308] (II) intel(0): Output HDMI1 disconnected
[    35.308] (II) intel(0): Output DP1 disconnected
[    35.308] (II) intel(0): Using exact sizes for initial modes
[    35.308] (II) intel(0): Output LVDS1 using initial mode 1366x768
[    35.308] (II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[    35.308] (II) intel(0): Kernel page flipping support detected, enabling
[    35.308] (**) intel(0): Display dimensions: (260, 140) mm
[    35.308] (**) intel(0): DPI set to (133, 139)
[    35.308] (II) Loading sub module "fb"
[    35.308] (II) LoadModule: "fb"
[    35.308] (II) Loading /usr/lib/xorg/modules/libfb.so
[    35.658] (II) Module fb: vendor="X.Org Foundation"
[    35.658] 	compiled for 1.11.2.902, module version = 1.0.0
[    35.658] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    35.658] (II) Loading sub module "dri2"
[    35.658] (II) LoadModule: "dri2"
[    35.658] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    35.658] (II) Module dri2: vendor="X.Org Foundation"
[    35.658] 	compiled for 1.11.2.902, module version = 1.2.0
[    35.658] 	ABI class: X.Org Server Extension, version 6.0
[    35.658] (II) UnloadModule: "vesa"
[    35.658] (II) Unloading vesa
[    35.659] (II) UnloadModule: "fbdev"
[    35.659] (II) Unloading fbdev
[    35.659] (II) UnloadModule: "fbdevhw"
[    35.659] (II) Unloading fbdevhw
[    35.659] (==) Depth 24 pixmap format is 32 bpp
[    35.659] (II) intel(0): [DRI2] Setup complete
[    35.659] (II) intel(0): [DRI2]   DRI driver: i965
[    35.659] (II) intel(0): Allocated new frame buffer 1408x768 stride 5632, tiled
[    35.775] (II) UXA(0): Driver registered support for the following operations:
[    35.776] (II)         solid
[    35.776] (II)         copy
[    35.776] (II)         composite (RENDER acceleration)
[    35.776] (II)         put_image
[    35.776] (II)         get_image
[    35.776] (==) intel(0): Backing store disabled
[    35.776] (==) intel(0): Silken mouse enabled
[    35.776] (II) intel(0): Initializing HW Cursor
[    35.848] (II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[    35.865] (==) intel(0): DPMS enabled
[    35.865] (==) intel(0): Intel XvMC decoder enabled
[    35.865] (II) intel(0): Set up textured video
[    35.865] (II) intel(0): [XvMC] xvmc_vld driver initialized.
[    35.865] (II) intel(0): direct rendering: DRI2 Enabled
[    35.865] (==) intel(0): hotplug detection: "enabled"
[    35.865] (--) RandR disabled
[    35.865] (II) Initializing built-in extension Generic Event Extension
[    35.865] (II) Initializing built-in extension SHAPE
[    35.865] (II) Initializing built-in extension MIT-SHM
[    35.865] (II) Initializing built-in extension XInputExtension
[    35.865] (II) Initializing built-in extension XTEST
[    35.865] (II) Initializing built-in extension BIG-REQUESTS
[    35.865] (II) Initializing built-in extension SYNC
[    35.865] (II) Initializing built-in extension XKEYBOARD
[    35.865] (II) Initializing built-in extension XC-MISC
[    35.865] (II) Initializing built-in extension SECURITY
[    35.865] (II) Initializing built-in extension XINERAMA
[    35.865] (II) Initializing built-in extension XFIXES
[    35.865] (II) Initializing built-in extension RENDER
[    35.865] (II) Initializing built-in extension RANDR
[    35.865] (II) Initializing built-in extension COMPOSITE
[    35.865] (II) Initializing built-in extension DAMAGE
[    35.865] (II) SELinux: Disabled on system
[    36.451] (II) AIGLX: enabled GLX_MESA_copy_sub_buffer
[    36.451] (II) AIGLX: enabled GLX_INTEL_swap_event
[    36.451] (II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
[    36.451] (II) AIGLX: enabled GLX_SGI_make_current_read
[    36.451] (II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
[    36.451] (II) AIGLX: Loaded and initialized i965
[    36.451] (II) GLX: Initialized DRI2 GL provider for screen 0
[    36.452] (II) intel(0): Setting screen physical size to 361 x 203
[    37.448] (II) config/udev: Adding input device Power Button (/dev/input/event4)
[    37.448] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[    37.448] (II) LoadModule: "evdev"
[    37.449] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    37.526] (II) Module evdev: vendor="X.Org Foundation"
[    37.526] 	compiled for 1.11.0, module version = 2.6.0
[    37.526] 	Module class: X.Org XInput Driver
[    37.526] 	ABI class: X.Org XInput driver, version 13.0
[    37.526] (II) Using input driver 'evdev' for 'Power Button'
[    37.526] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    37.526] (**) Power Button: always reports core events
[    37.526] (**) Power Button: Device: "/dev/input/event4"
[    37.526] (--) Power Button: Found keys
[    37.526] (II) Power Button: Configuring as keyboard
[    37.526] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4"
[    37.526] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 6)
[    37.526] (**) Option "xkb_rules" "evdev"
[    37.526] (**) Option "xkb_model" "pc105"
[    37.526] (**) Option "xkb_layout" "fi"
[    37.616] (II) config/udev: Adding input device Video Bus (/dev/input/event9)
[    37.616] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
[    37.616] (II) Using input driver 'evdev' for 'Video Bus'
[    37.616] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    37.616] (**) Video Bus: always reports core events
[    37.616] (**) Video Bus: Device: "/dev/input/event9"
[    37.616] (--) Video Bus: Found keys
[    37.616] (II) Video Bus: Configuring as keyboard
[    37.616] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input9/event9"
[    37.616] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD, id 7)
[    37.617] (**) Option "xkb_rules" "evdev"
[    37.617] (**) Option "xkb_model" "pc105"
[    37.617] (**) Option "xkb_layout" "fi"
[    37.617] (II) config/udev: Adding input device Sony Vaio Keys (/dev/input/event5)
[    37.617] (**) Sony Vaio Keys: Applying InputClass "evdev keyboard catchall"
[    37.617] (II) Using input driver 'evdev' for 'Sony Vaio Keys'
[    37.617] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    37.618] (**) Sony Vaio Keys: always reports core events
[    37.618] (**) Sony Vaio Keys: Device: "/dev/input/event5"
[    37.618] (--) Sony Vaio Keys: Found keys
[    37.618] (II) Sony Vaio Keys: Configuring as keyboard
[    37.618] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0c/SNY5001:00/input/input5/event5"
[    37.618] (II) XINPUT: Adding extended input device "Sony Vaio Keys" (type: KEYBOARD, id 8)
[    37.618] (**) Option "xkb_rules" "evdev"
[    37.618] (**) Option "xkb_model" "pc105"
[    37.618] (**) Option "xkb_layout" "fi"
[    37.618] (II) config/udev: Adding input device Lid Switch (/dev/input/event2)
[    37.618] (II) No input driver/identifier specified (ignoring)
[    37.619] (II) config/udev: Adding input device Sleep Button (/dev/input/event3)
[    37.619] (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
[    37.619] (II) Using input driver 'evdev' for 'Sleep Button'
[    37.619] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    37.619] (**) Sleep Button: always reports core events
[    37.619] (**) Sleep Button: Device: "/dev/input/event3"
[    37.619] (--) Sleep Button: Found keys
[    37.619] (II) Sleep Button: Configuring as keyboard
[    37.619] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input3/event3"
[    37.619] (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD, id 9)
[    37.619] (**) Option "xkb_rules" "evdev"
[    37.619] (**) Option "xkb_model" "pc105"
[    37.619] (**) Option "xkb_layout" "fi"
[    37.620] (II) config/udev: Adding input device Sony Visual Communication Camer (/dev/input/event8)
[    37.620] (**) Sony Visual Communication Camer: Applying InputClass "evdev keyboard catchall"
[    37.620] (II) Using input driver 'evdev' for 'Sony Visual Communication Camer'
[    37.620] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    37.620] (**) Sony Visual Communication Camer: always reports core events
[    37.620] (**) Sony Visual Communication Camer: Device: "/dev/input/event8"
[    37.620] (--) Sony Visual Communication Camer: Found keys
[    37.620] (II) Sony Visual Communication Camer: Configuring as keyboard
[    37.620] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input8/event8"
[    37.620] (II) XINPUT: Adding extended input device "Sony Visual Communication Camer" (type: KEYBOARD, id 10)
[    37.620] (**) Option "xkb_rules" "evdev"
[    37.620] (**) Option "xkb_model" "pc105"
[    37.620] (**) Option "xkb_layout" "fi"
[    37.621] (II) config/udev: Adding input device HDA Digital PCBeep (/dev/input/event10)
[    37.621] (II) No input driver/identifier specified (ignoring)
[    37.621] (II) config/udev: Adding input device HDA Intel HDMI/DP (/dev/input/event11)
[    37.621] (II) No input driver/identifier specified (ignoring)
[    37.621] (II) config/udev: Adding input device HDA Intel Mic (/dev/input/event12)
[    37.621] (II) No input driver/identifier specified (ignoring)
[    37.622] (II) config/udev: Adding input device HDA Intel Headphone (/dev/input/event13)
[    37.622] (II) No input driver/identifier specified (ignoring)
[    37.622] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event0)
[    37.622] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[    37.622] (II) Using input driver 'evdev' for 'AT Translated Set 2 keyboard'
[    37.622] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    37.622] (**) AT Translated Set 2 keyboard: always reports core events
[    37.622] (**) AT Translated Set 2 keyboard: Device: "/dev/input/event0"
[    37.622] (--) AT Translated Set 2 keyboard: Found keys
[    37.622] (II) AT Translated Set 2 keyboard: Configuring as keyboard
[    37.622] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input0/event0"
[    37.622] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD, id 11)
[    37.622] (**) Option "xkb_rules" "evdev"
[    37.623] (**) Option "xkb_model" "pc105"
[    37.623] (**) Option "xkb_layout" "fi"
[    37.623] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/event7)
[    37.623] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad catchall"
[    37.623] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
[    37.623] (II) LoadModule: "synaptics"
[    37.624] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[    37.642] (II) Module synaptics: vendor="X.Org Foundation"
[    37.642] 	compiled for 1.11.2.902, module version = 1.5.0
[    37.642] 	Module class: X.Org XInput Driver
[    37.642] 	ABI class: X.Org XInput driver, version 13.0
[    37.642] (II) Using input driver 'synaptics' for 'SynPS/2 Synaptics TouchPad'
[    37.642] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[    37.642] (**) SynPS/2 Synaptics TouchPad: always reports core events
[    37.642] (**) Option "Device" "/dev/input/event7"
[    37.892] (--) synaptics: SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5874
[    37.892] (--) synaptics: SynPS/2 Synaptics TouchPad: y-axis range 1408 - 5232
[    37.892] (--) synaptics: SynPS/2 Synaptics TouchPad: pressure range 0 - 255
[    37.892] (--) synaptics: SynPS/2 Synaptics TouchPad: finger width range 0 - 0
[    37.892] (--) synaptics: SynPS/2 Synaptics TouchPad: buttons: left right double triple
[    37.892] (--) synaptics: SynPS/2 Synaptics TouchPad: Vendor 0x2 Product 0x7
[    37.932] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
[    37.932] (**) SynPS/2 Synaptics TouchPad: always reports core events
[    38.028] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input7/event7"
[    38.028] (II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD, id 12)
[    38.028] (**) synaptics: SynPS/2 Synaptics TouchPad: (accel) MinSpeed is now constant deceleration 2.5
[    38.028] (**) synaptics: SynPS/2 Synaptics TouchPad: MaxSpeed is now 1.75
[    38.028] (**) synaptics: SynPS/2 Synaptics TouchPad: AccelFactor is now 0.034
[    38.028] (**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
[    38.028] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration profile 1
[    38.028] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor: 2.000
[    38.028] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration threshold: 4
[    38.028] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
[    38.029] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/mouse1)
[    38.029] (**) SynPS/2 Synaptics TouchPad: Ignoring device from InputClass "touchpad ignore duplicates"
[    38.029] (II) config/udev: Adding input device PC Speaker (/dev/input/event1)
[    38.029] (II) No input driver/identifier specified (ignoring)
[    38.030] (II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event14)
[    38.030] (**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
[    38.030] (II) Using input driver 'evdev' for 'ACPI Virtual Keyboard Device'
[    38.030] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    38.030] (**) ACPI Virtual Keyboard Device: always reports core events
[    38.030] (**) ACPI Virtual Keyboard Device: Device: "/dev/input/event14"
[    38.030] (--) ACPI Virtual Keyboard Device: Found keys
[    38.030] (II) ACPI Virtual Keyboard Device: Configuring as keyboard
[    38.030] (**) Option "config_info" "udev:/sys/devices/virtual/input/input14/event14"
[    38.030] (II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD, id 13)
[    38.030] (**) Option "xkb_rules" "evdev"
[    38.030] (**) Option "xkb_model" "pc105"
[    38.030] (**) Option "xkb_layout" "fi"
[    38.031] (II) config/udev: Adding input device Sony Vaio Jogdial (/dev/input/event6)
[    38.031] (II) No input driver/identifier specified (ignoring)
[    38.031] (II) config/udev: Adding input device Sony Vaio Jogdial (/dev/input/mouse0)
[    38.031] (II) No input driver/identifier specified (ignoring)
[    38.040] (II) intel(0): EDID vendor "CMO", prod id 4371
[    38.040] (II) intel(0): Printing DDC gathered Modelines:
[    38.040] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[    47.935] (II) intel(0): EDID vendor "CMO", prod id 4371
[    47.935] (II) intel(0): Printing DDC gathered Modelines:
[    47.935] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[    48.007] (II) intel(0): EDID vendor "CMO", prod id 4371
[    48.007] (II) intel(0): Printing DDC gathered Modelines:
[    48.008] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[    48.102] (II) intel(0): EDID vendor "CMO", prod id 4371
[    48.102] (II) intel(0): Printing DDC gathered Modelines:
[    48.102] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[    48.175] (II) intel(0): EDID vendor "CMO", prod id 4371
[    48.175] (II) intel(0): Printing DDC gathered Modelines:
[    48.175] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[    66.589] (II) intel(0): EDID vendor "CMO", prod id 4371
[    66.589] (II) intel(0): Printing DDC gathered Modelines:
[    66.589] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[    66.665] (II) intel(0): EDID vendor "CMO", prod id 4371
[    66.665] (II) intel(0): Printing DDC gathered Modelines:
[    66.665] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[    66.738] (II) intel(0): EDID vendor "CMO", prod id 4371
[    66.738] (II) intel(0): Printing DDC gathered Modelines:
[    66.738] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[    66.830] (II) intel(0): EDID vendor "CMO", prod id 4371
[    66.830] (II) intel(0): Printing DDC gathered Modelines:
[    66.830] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[    71.139] (II) intel(0): EDID vendor "CMO", prod id 4371
[    71.139] (II) intel(0): Printing DDC gathered Modelines:
[    71.139] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[  9937.047] (II) intel(0): EDID vendor "CMO", prod id 4371
[  9937.047] (II) intel(0): Printing DDC gathered Modelines:
[  9937.047] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 23294.067] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 23294.067] (II) intel(0): Printing DDC gathered Modelines:
[ 23294.067] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 23348.066] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 23348.066] (II) intel(0): Printing DDC gathered Modelines:
[ 23348.067] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 23382.755] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 23382.755] (II) intel(0): Printing DDC gathered Modelines:
[ 23382.755] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 23385.101] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 23385.101] (II) intel(0): Printing DDC gathered Modelines:
[ 23385.101] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 23390.129] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 23390.129] (II) intel(0): Printing DDC gathered Modelines:
[ 23390.129] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 23447.872] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 23447.873] (II) intel(0): Printing DDC gathered Modelines:
[ 23447.873] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 23448.105] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 23448.105] (II) intel(0): Printing DDC gathered Modelines:
[ 23448.105] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 23449.990] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 23449.990] (II) intel(0): Printing DDC gathered Modelines:
[ 23449.990] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 23458.268] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 23458.268] (II) intel(0): Printing DDC gathered Modelines:
[ 23458.268] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 23463.539] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 23463.541] (II) intel(0): Printing DDC gathered Modelines:
[ 23463.542] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 23463.771] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 23463.771] (II) intel(0): Printing DDC gathered Modelines:
[ 23463.771] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 23466.702] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 23466.702] (II) intel(0): Printing DDC gathered Modelines:
[ 23466.702] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 23574.410] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 23574.411] (II) intel(0): Printing DDC gathered Modelines:
[ 23574.411] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 23578.294] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 23578.295] (II) intel(0): Printing DDC gathered Modelines:
[ 23578.295] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 23578.526] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 23578.526] (II) intel(0): Printing DDC gathered Modelines:
[ 23578.526] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 24398.943] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 24398.943] (II) intel(0): Printing DDC gathered Modelines:
[ 24398.944] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 25414.939] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 25414.939] (II) intel(0): Printing DDC gathered Modelines:
[ 25414.939] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 26210.999] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 26210.999] (II) intel(0): Printing DDC gathered Modelines:
[ 26210.999] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 26214.672] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 26220.320] (II) Open ACPI successful (/var/run/acpid.socket)
[ 26220.320] (II) AIGLX: Resuming AIGLX clients after VT switch
[ 26220.376] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 26220.376] (II) intel(0): Printing DDC gathered Modelines:
[ 26220.376] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 26220.462] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
[ 29162.114] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 29162.114] (II) intel(0): Printing DDC gathered Modelines:
[ 29162.114] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 31671.962] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 31671.962] (II) intel(0): Printing DDC gathered Modelines:
[ 31671.962] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 31675.472] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 31682.882] (II) Open ACPI successful (/var/run/acpid.socket)
[ 31682.882] (II) AIGLX: Resuming AIGLX clients after VT switch
[ 31683.060] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 31683.060] (II) intel(0): Printing DDC gathered Modelines:
[ 31683.060] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 31683.152] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
[ 36055.006] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 36055.006] (II) intel(0): Printing DDC gathered Modelines:
[ 36055.006] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 36062.860] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 36067.862] (II) Open ACPI successful (/var/run/acpid.socket)
[ 36067.862] (II) AIGLX: Resuming AIGLX clients after VT switch
[ 36067.916] (II) intel(0): EDID vendor "CMO", prod id 4371
[ 36067.916] (II) intel(0): Printing DDC gathered Modelines:
[ 36067.916] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
[ 36068.006] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found

udev information:
-----------------
P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input4
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input4
E: EV=3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXPWRBN:00
E: ID_PATH_TAG=acpi-LNXPWRBN_00
E: KEY=10000000000000 0
E: MODALIAS=input:b0019v0000p0001e0000-e0,1,k74,ramlsfw
E: NAME="Power Button"
E: PHYS="LNXPWRBN/button/input0"
E: PRODUCT=19/0/1/0
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=16493080

P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4
N: input/event4
E: DEVNAME=/dev/input/event4
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4
E: DMI_VENDOR=Sony Corporation
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXPWRBN:00
E: ID_PATH_TAG=acpi-LNXPWRBN_00
E: MAJOR=13
E: MINOR=68
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=16998981
E: XKBLAYOUT=fi
E: XKBMODEL=pc105

P: /devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input9
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input9
E: EV=3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXVIDEO:00
E: ID_PATH_TAG=acpi-LNXVIDEO_00
E: KEY=3e000b00000000 0 0 0
E: MODALIAS=input:b0019v0000p0006e0000-e0,1,kE0,E1,E3,F1,F2,F3,F4,F5,ramlsfw
E: NAME="Video Bus"
E: PHYS="LNXVIDEO/video/input0"
E: PRODUCT=19/0/6/0
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=19389622

P: /devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input9/event9
N: input/event9
E: DEVNAME=/dev/input/event9
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input9/event9
E: DMI_VENDOR=Sony Corporation
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXVIDEO:00
E: ID_PATH_TAG=acpi-LNXVIDEO_00
E: MAJOR=13
E: MINOR=73
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=19395335
E: XKBLAYOUT=fi
E: XKBMODEL=pc105

P: /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0c/SNY5001:00/input/input5
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0c/SNY5001:00/input/input5
E: EV=13
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-SNY5001:00
E: ID_PATH_TAG=acpi-SNY5001_00
E: KEY=1f160f0000 c00000000 10010000000000 200000000 600f00102c00 380000240300400 e000000000000 0
E: MODALIAS=input:b0010v104Dp0000e0000-e0,1,4,k71,72,73,8A,94,95,9E,A1,B7,B8,B9,CA,CB,CD,D4,E0,E1,E2,E3,ED,EE,121,168,174,1A2,1A3,1D0,1D1,1D2,1D3,1D9,1DA,1DC,1E0,1E1,1E2,1E3,1E4,ram4,lsfw
E: MSC=10
E: NAME="Sony Vaio Keys"
E: PRODUCT=10/104d/0/0
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=16814988

P: /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0c/SNY5001:00/input/input5/event5
N: input/event5
E: DEVNAME=/dev/input/event5
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0c/SNY5001:00/input/input5/event5
E: DMI_VENDOR=Sony Corporation
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-SNY5001:00
E: ID_PATH_TAG=acpi-SNY5001_00
E: MAJOR=13
E: MINOR=69
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=16998997
E: XKBLAYOUT=fi
E: XKBMODEL=pc105

P: /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input2
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input2
E: EV=21
E: ID_INPUT=1
E: ID_PATH=acpi-PNP0C0D:00
E: ID_PATH_TAG=acpi-PNP0C0D_00
E: MODALIAS=input:b0019v0000p0005e0000-e0,5,kramlsfw0,
E: NAME="Lid Switch"
E: PHYS="PNP0C0D/button/input0"
E: PRODUCT=19/0/5/0
E: PROP=0
E: SUBSYSTEM=input
E: SW=1
E: UDEV_LOG=3
E: USEC_INITIALIZED=16493213

P: /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input2/event2
N: input/event2
E: DEVNAME=/dev/input/event2
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input2/event2
E: ID_INPUT=1
E: ID_PATH=acpi-PNP0C0D:00
E: ID_PATH_TAG=acpi-PNP0C0D_00
E: MAJOR=13
E: MINOR=66
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=16497147

P: /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input3
E: EV=3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-PNP0C0E:00
E: ID_PATH_TAG=acpi-PNP0C0E_00
E: KEY=4000 0 0
E: MODALIAS=input:b0019v0000p0003e0000-e0,1,k8E,ramlsfw
E: NAME="Sleep Button"
E: PHYS="PNP0C0E/button/input0"
E: PRODUCT=19/0/3/0
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=16482369

P: /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input3/event3
N: input/event3
E: DEVNAME=/dev/input/event3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input3/event3
E: DMI_VENDOR=Sony Corporation
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-PNP0C0E:00
E: ID_PATH_TAG=acpi-PNP0C0E_00
E: MAJOR=13
E: MINOR=67
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=16998976
E: XKBLAYOUT=fi
E: XKBMODEL=pc105

P: /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input8
E: DEVPATH=/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input8
E: EV=3
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_MODEL=Sony_Visual_Communication_Camera
E: ID_MODEL_ENC=Sony\x20Visual\x20Communication\x20Camera
E: ID_MODEL_ID=005f
E: ID_PATH=pci-0000:00:1a.0-usb-0:1.2:1.0
E: ID_PATH_TAG=pci-0000_00_1a_0-usb-0_1_2_1_0
E: ID_REVISION=0007
E: ID_SERIAL=Sonix_Technology_Co.__Ltd._Sony_Visual_Communication_Camera
E: ID_TYPE=video
E: ID_USB_DRIVER=uvcvideo
E: ID_USB_INTERFACES=:0e0100:0e0200:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=Sonix_Technology_Co.__Ltd.
E: ID_VENDOR_ENC=Sonix\x20Technology\x20Co.\x2c\x20Ltd.
E: ID_VENDOR_ID=1fea
E: KEY=100000 0 0 0
E: MODALIAS=input:b0003v1FEAp005Fe0007-e0,1,kD4,ramlsfw
E: NAME="Sony Visual Communication Camer"
E: PHYS="usb-0000:00:1a.0-1.2/button"
E: PRODUCT=3/1fea/5f/7
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=18850911

P: /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input8/event8
N: input/event8
S: input/by-id/usb-Sonix_Technology_Co.__Ltd._Sony_Visual_Communication_Camera-event-if00
S: input/by-path/pci-0000:00:1a.0-usb-0:1.2:1.0-event
E: DEVLINKS=/dev/input/by-id/usb-Sonix_Technology_Co.__Ltd._Sony_Visual_Communication_Camera-event-if00 /dev/input/by-path/pci-0000:00:1a.0-usb-0:1.2:1.0-event
E: DEVNAME=/dev/input/event8
E: DEVPATH=/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input8/event8
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_MODEL=Sony_Visual_Communication_Camera
E: ID_MODEL_ENC=Sony\x20Visual\x20Communication\x20Camera
E: ID_MODEL_ID=005f
E: ID_PATH=pci-0000:00:1a.0-usb-0:1.2:1.0
E: ID_PATH_TAG=pci-0000_00_1a_0-usb-0_1_2_1_0
E: ID_REVISION=0007
E: ID_SERIAL=Sonix_Technology_Co.__Ltd._Sony_Visual_Communication_Camera
E: ID_TYPE=video
E: ID_USB_DRIVER=uvcvideo
E: ID_USB_INTERFACES=:0e0100:0e0200:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=Sonix_Technology_Co.__Ltd.
E: ID_VENDOR_ENC=Sonix\x20Technology\x20Co.\x2c\x20Ltd.
E: ID_VENDOR_ID=1fea
E: MAJOR=13
E: MINOR=72
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=18855731
E: XKBLAYOUT=fi
E: XKBMODEL=pc105

P: /devices/pci0000:00/0000:00:1b.0/input/input10
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/input/input10
E: EV=40001
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: ID_PATH_TAG=pci-0000_00_1b_0
E: MODALIAS=input:b0001v10ECp0269e0001-e0,12,kramls1,2,fw
E: NAME="HDA Digital PCBeep"
E: PHYS="card0/codec#0/beep0"
E: PRODUCT=1/10ec/269/1
E: PROP=0
E: SND=6
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=19512757

P: /devices/pci0000:00/0000:00:1b.0/input/input10/event10
N: input/event10
E: DEVNAME=/dev/input/event10
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/input/input10/event10
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: ID_PATH_TAG=pci-0000_00_1b_0
E: MAJOR=13
E: MINOR=74
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=19519099

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input11
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input11
E: EV=21
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: ID_PATH_TAG=pci-0000_00_1b_0
E: MODALIAS=input:b0000v0000p0000e0000-e0,5,kramlsfw8,
E: NAME="HDA Intel HDMI/DP"
E: PHYS="ALSA"
E: PRODUCT=0/0/0/0
E: PROP=0
E: SUBSYSTEM=input
E: SW=100
E: UDEV_LOG=3
E: USEC_INITIALIZED=19513860

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input11/event11
N: input/event11
E: DEVNAME=/dev/input/event11
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input11/event11
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: ID_PATH_TAG=pci-0000_00_1b_0
E: MAJOR=13
E: MINOR=75
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=19518459

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input12
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input12
E: EV=21
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: ID_PATH_TAG=pci-0000_00_1b_0
E: MODALIAS=input:b0000v0000p0000e0000-e0,5,kramlsfw4,
E: NAME="HDA Intel Mic"
E: PHYS="ALSA"
E: PRODUCT=0/0/0/0
E: PROP=0
E: SUBSYSTEM=input
E: SW=10
E: UDEV_LOG=3
E: USEC_INITIALIZED=19514847

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input12/event12
N: input/event12
E: DEVNAME=/dev/input/event12
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input12/event12
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: ID_PATH_TAG=pci-0000_00_1b_0
E: MAJOR=13
E: MINOR=76
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=19520307

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input13
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input13
E: EV=21
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: ID_PATH_TAG=pci-0000_00_1b_0
E: MODALIAS=input:b0000v0000p0000e0000-e0,5,kramlsfw2,
E: NAME="HDA Intel Headphone"
E: PHYS="ALSA"
E: PRODUCT=0/0/0/0
E: PROP=0
E: SUBSYSTEM=input
E: SW=4
E: UDEV_LOG=3
E: USEC_INITIALIZED=19514235

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input13/event13
N: input/event13
E: DEVNAME=/dev/input/event13
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input13/event13
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: ID_PATH_TAG=pci-0000_00_1b_0
E: MAJOR=13
E: MINOR=77
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=19518794

P: /devices/platform/i8042/serio0/input/input0
E: DEVPATH=/devices/platform/i8042/serio0/input/input0
E: EV=120013
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_PATH=platform-i8042-serio-0
E: ID_PATH_TAG=platform-i8042-serio-0
E: ID_SERIAL=noserial
E: KEY=402000000 3803078f800d001 feffffdfffefffff fffffffffffffffe
E: LED=7
E: MODALIAS=input:b0011v0001p0001eAB41-e0,1,4,11,14,k71,72,73,74,75,76,77,79,7A,7B,7C,7D,7E,7F,80,8C,8E,8F,9B,9C,9D,9E,9F,A3,A4,A5,A6,AC,AD,B7,B8,B9,D9,E2,ram4,l0,1,2,sfw
E: MSC=10
E: NAME="AT Translated Set 2 keyboard"
E: PHYS="isa0060/serio0/input0"
E: PRODUCT=11/1/1/ab41
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=16304916

P: /devices/platform/i8042/serio0/input/input0/event0
N: input/event0
S: input/by-path/platform-i8042-serio-0-event-kbd
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-0-event-kbd
E: DEVNAME=/dev/input/event0
E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
E: DMI_VENDOR=Sony Corporation
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_PATH=platform-i8042-serio-0
E: ID_PATH_TAG=platform-i8042-serio-0
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=64
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=16999196
E: XKBLAYOUT=fi
E: XKBMODEL=pc105

P: /devices/platform/i8042/serio1/input/input7
E: ABS=260800011000003
E: DEVPATH=/devices/platform/i8042/serio1/input/input7
E: EV=b
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: ID_SERIAL=noserial
E: KEY=6420 30000 0 0 0 0
E: MODALIAS=input:b0011v0002p0007e01B1-e0,1,3,k110,111,145,14A,14D,14E,ra0,1,18,1C,2F,35,36,39,mlsfw
E: NAME="SynPS/2 Synaptics TouchPad"
E: PHYS="isa0060/serio1/input0"
E: PRODUCT=11/2/7/1b1
E: PROP=9
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=18276854

P: /devices/platform/i8042/serio1/input/input7/event7
N: input/event7
S: input/by-path/platform-i8042-serio-1-event-mouse
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-event-mouse
E: DEVNAME=/dev/input/event7
E: DEVPATH=/devices/platform/i8042/serio1/input/input7/event7
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=71
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=18514248

P: /devices/platform/i8042/serio1/input/input7/mouse1
N: input/mouse1
S: input/by-path/platform-i8042-serio-1-mouse
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-mouse
E: DEVNAME=/dev/input/mouse1
E: DEVPATH=/devices/platform/i8042/serio1/input/input7/mouse1
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=33
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=18514198

P: /devices/platform/pcspkr/input/input1
E: DEVPATH=/devices/platform/pcspkr/input/input1
E: EV=40001
E: ID_INPUT=1
E: ID_PATH=platform-pcspkr
E: ID_PATH_TAG=platform-pcspkr
E: ID_SERIAL=noserial
E: MODALIAS=input:b0010v001Fp0001e0100-e0,12,kramls1,2,fw
E: NAME="PC Speaker"
E: PHYS="isa0061/input0"
E: PRODUCT=10/1f/1/100
E: PROP=0
E: SND=6
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=16474300

P: /devices/platform/pcspkr/input/input1/event1
N: input/event1
S: input/by-path/platform-pcspkr-event-spkr
E: DEVLINKS=/dev/input/by-path/platform-pcspkr-event-spkr
E: DEVNAME=/dev/input/event1
E: DEVPATH=/devices/platform/pcspkr/input/input1/event1
E: ID_INPUT=1
E: ID_PATH=platform-pcspkr
E: ID_PATH_TAG=platform-pcspkr
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=65
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=16501699

P: /devices/virtual/input/input14
E: DEVPATH=/devices/virtual/input/input14
E: EV=3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: KEY=ffffffffffffffff ffffffffffffffff ffffffffffffffff fffffffffffffffe
E: MODALIAS=input:b0003v0000p0000e0004-e0,1,k71,72,73,74,75,76,77,78,79,7A,7B,7C,7D,7E,7F,80,81,82,83,84,85,86,87,88,89,8A,8B,8C,8D,8E,8F,90,91,92,93,94,95,96,97,98,99,9A,9B,9C,9D,9E,9F,A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,AA,AB,AC,AD,AE,AF,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,BA,BB,BC,BD,BE,BF,C0,C1,C2,C3,C4,C5,C6,C7,C8,C9,CA,CB,CC,CD,CE,CF,D0,D1,D2,D3,D4,D5,D6,D7,D8,D9,DA,DB,DC,DD,DE,DF,E0,E1,E2,E3,E4,E5,E6,E7,E8,E9,EA,EB,EC,ED,EE,EF,F0,F1,F2,F3,F4,F5,F6,F7,F8,F9,FA,FB,FC,FD,FE,FF,ramlsfw
E: NAME="ACPI Virtual Keyboard Device"
E: PRODUCT=3/0/0/4
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=27068313

P: /devices/virtual/input/input14/event14
N: input/event14
E: DEVNAME=/dev/input/event14
E: DEVPATH=/devices/virtual/input/input14/event14
E: DMI_VENDOR=Sony Corporation
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=78
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=27071609
E: XKBLAYOUT=fi
E: XKBMODEL=pc105

P: /devices/virtual/input/input6
E: DEVPATH=/devices/virtual/input/input6
E: EV=7
E: ID_INPUT=1
E: KEY=40000 0 0 0 0
E: MODALIAS=input:b0010v104Dp0000e0000-e0,1,2,k112,r8,amlsfw
E: NAME="Sony Vaio Jogdial"
E: PRODUCT=10/104d/0/0
E: PROP=0
E: REL=100
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=16813391

P: /devices/virtual/input/input6/event6
N: input/event6
E: DEVNAME=/dev/input/event6
E: DEVPATH=/devices/virtual/input/input6/event6
E: ID_INPUT=1
E: MAJOR=13
E: MINOR=70
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=16817105

P: /devices/virtual/input/input6/mouse0
N: input/mouse0
E: DEVNAME=/dev/input/mouse0
E: DEVPATH=/devices/virtual/input/input6/mouse0
E: ID_INPUT=1
E: MAJOR=13
E: MINOR=32
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=16817075


DRM Information from dmesg:
---------------------------
[    0.000000] No AGP bridge found
[    0.000000] No AGP bridge found
[    1.443108] Linux agpgart interface v0.103
[    1.443313] agpgart-intel 0000:00:00.0: Intel HD Graphics Chipset
[    1.443553] agpgart-intel 0000:00:00.0: detected gtt size: 2097152K total, 262144K mappable
[    1.444690] agpgart-intel 0000:00:00.0: detected 131072K stolen memory
[    1.445033] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xc0000000
[   17.595482] [drm] Initialized drm 1.1.0 20060810
[   18.076231] [drm] MTRR allocation failed.  Graphics performance may suffer.
[   18.076809] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[   18.076903] [drm] Driver supports precise vblank timestamp query.
[   18.669380] fbcon: inteldrmfb (fb0) is primary device
[   18.672076] [drm:ironlake_update_pch_refclk] *ERROR* enabling SSC on PCH
[   18.672437] [drm] Changing LVDS panel from (+hsync, -vsync) to (-hsync, -vsync)
[   19.499792] fb0: inteldrmfb frame buffer device
[   19.499798] drm: registered panic notifier
[   19.533879] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[26185.847058] [drm:ironlake_update_pch_refclk] *ERROR* enabling SSC on PCH
[31641.466740] [drm:ironlake_update_pch_refclk] *ERROR* enabling SSC on PCH
[31641.469491] [drm] Changing LVDS panel from (+hsync, -vsync) to (-hsync, -vsync)
[36021.701319] [drm:ironlake_update_pch_refclk] *ERROR* enabling SSC on PCH
[36021.704038] [drm] Changing LVDS panel from (+hsync, -vsync) to (-hsync, -vsync)


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=fi_FI.utf8, LC_CTYPE=fi_FI.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-video-intel depends on:
ii  libc6                                  2.13-24
ii  libdrm-intel1                          2.4.29-1
ii  libdrm2                                2.4.29-1
ii  libpciaccess0                          0.12.1-2
ii  libudev0                               175-3
ii  libx11-6                               2:1.4.4-4
ii  libx11-xcb1                            2:1.4.4-4
ii  libxcb-dri2-0                          1.7-4
ii  libxcb-util0                           0.3.8-1
ii  libxcb1                                1.7-4
ii  libxext6                               2:1.3.0-3
ii  libxfixes3                             1:5.0-4
ii  libxv1                                 2:1.0.6-2
ii  libxvmc1                               2:1.0.6-1
ii  xserver-xorg-core [xorg-video-abi-11]  2:1.11.2.902-1

xserver-xorg-video-intel recommends no packages.

xserver-xorg-video-intel suggests no packages.

-- no debconf information
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#651741; Package gnome-power-manager. (Sun, 08 Jan 2012 20:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ender Akduman <enderakduman@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 08 Jan 2012 20:33:05 GMT) Full text and rfc822 format available.

Message #15 received at 651741@bugs.debian.org (full text, mbox):

From: Ender Akduman <enderakduman@gmail.com>
To: Kalle Olavi Niemitalo <kon@iki.fi>, 651741@bugs.debian.org
Subject: Re: Bug#651741: gnome-power-manager: display backlight brightness has no effect on Sony Vaio VPCYA1V9E
Date: Sun, 8 Jan 2012 22:30:08 +0200
[Message part 1 (text/plain, inline)]
I could not be more grateful!
Thank you very much for sparing your time for this reply.
By the way do you mean 'backlight' instead of 'backlist' in:
(...when it was renamed from "intel" to "intel_backlist")
Thanks once again!




On 8 January 2012 22:16, Kalle Olavi Niemitalo <kon@iki.fi> wrote:

> Package: xserver-xorg-video-intel
> Version: 2:2.17.0-1
>
> Kalle Olavi Niemitalo <kon@iki.fi> writes:
>
> > It would be best if backlight control worked correctly with the
> > default settings.  It seems the easiest way to achieve that is to
> > add "intel_backlight" to the list in {gpm,gsd}-backlight-helper.c,
> > somewhere above "acpi_video0" so that it takes precedence.
>
> I was wrong.  Adding "intel_backlight" to gpm-backlight-helper.c
> does make /usr/sbin/gnome-power-backlight-helper --set-brightness
> correctly change the backlight brightness on Sony Vaio VPCYA1V9E,
> but the Fn+F5 and Fn+F6 key combinations still do not change it,
> nor does the slider in the display settings window.  The problem
> is that gnome-power-manager decides to control the backlight via
> the RANDR extension and never executes gnome-power-backlight-helper.
>
> RANDR indeed shows "BACKLIGHT" and "Backlight" properties for the
> LVDS1 output of screen 0:
>
> % xrandr --props|grep -i backl
>        BACKLIGHT: 3 (0x00000003)       range:  (0,8)
>        Backlight: 3 (0x00000003)       range:  (0,8)
>
> I can also set a different value:
>
> % xrandr --output LVDS1 --set Backlight 5
>
> but this only changes /sys/class/backlight/acpi_video0/brightness,
> which does not actually affect the display, as described before.
> Indeed, /var/log/Xorg.0.log shows this line:
>
> [    35.160] (II) intel(0): found backlight control interface
> /sys/class/backlight/acpi_video0
>
> I was able to work around the problem by patching the
> gpm_brightness_setup_display function in gnome-power-manager to
> always return FALSE; this caused gnome-power-manager to run
> gnome-power-backlight-helper, which I had patched to recognize
> "intel_backlight".  With these patches, the key combinations and
> the slider actually adjust the brightness.  However, this hack is
> clearly not suitable for other computer models and therefore
> should not be included in the Debian package.
>
> It seems the real fix will have to be made in
> xserver-xorg-video-intel, or perhaps in the Linux kernel.
> Considering where the backlight devices reside in the tree;
>
> lrwxrwxrwx 1 root root 0 tammi  7 19:31 /sys/class/backlight/acpi_video0
> -> ../../devices/pci0000:00/0000:00:02.0/backlight/acpi_video0
> lrwxrwxrwx 1 root root 0 tammi  7 19:33
> /sys/class/backlight/intel_backlight ->
> ../../devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight
>
> I think Linux is clearly enough associating the (working)
> intel_backlight device with the LVDS1 output, whereas the
> (useless) acpi_video0 device is more generally associated with
> the PCI function.  I'm not really familiar with the semantics and
> compatibility policies of the sys hierarchy but it does seem the
> information is there just waiting for xserver-xorg-video-intel to
> use it.
>
>
> http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/src/intel_display.c?id=ce1e0969058f8c70b624bc85bb8d6698a35794d3
> shows xserver-xorg-video-intel originally preferred the intel
> backlight driver, but it was dropped to the bottom of the list
> when it was renamed from "intel" to "intel_backlist".
>
> So, the next thing I'll try will be moving it back to the top.
>
> -- Package-specific info:
> X server symlink status:
> ------------------------
> lrwxrwxrwx 1 root root 13 Aug 14 07:32 /etc/X11/X -> /usr/bin/Xorg
> -rwxr-xr-x 1 root root 2056592 Dec 10 23:57 /usr/bin/Xorg
>
> VGA-compatible devices on PCI bus:
> ----------------------------------
> 00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor
> Integrated Graphics Controller [8086:0046] (rev 02)
>
> /etc/X11/xorg.conf does not exist.
>
> /etc/X11/xorg.conf.d does not exist.
>
> KMS configuration files:
> ------------------------
> /etc/modprobe.d/i915-kms.conf:
>  options i915 modeset=1
> /etc/modprobe.d/radeon-kms.conf:
>  options radeon modeset=1
>
> Kernel version (/proc/version):
> -------------------------------
> Linux version 3.1.0-1-amd64 (Debian 3.1.5-1) (ben@decadent.org.uk) (gcc
> version 4.6.2 (Debian 4.6.2-7) ) #1 SMP Sun Dec 11 20:36:41 UTC 2011
>
> Xorg X server log files on system:
> ----------------------------------
> -rw-r--r-- 1 root root 32162 Dec  8 07:42 /var/log/Xorg.1.log
> -rw-r--r-- 1 root root 38441 Jan  8 20:56 /var/log/Xorg.0.log
>
> Contents of most recent Xorg X server log file (/var/log/Xorg.0.log):
> ---------------------------------------------------------------------
> [    34.423]
> X.Org X Server 1.11.2.902 (1.11.3 RC 2)
> Release Date: 2011-12-09
> [    34.423] X Protocol Version 11, Revision 0
> [    34.423] Build Operating System: Linux 3.1.0-1-amd64 x86_64 Debian
> [    34.424] Current Operating System: Linux Niukka 3.1.0-1-amd64 #1 SMP
> Sun Dec 11 20:36:41 UTC 2011 x86_64
> [    34.424] Kernel command line: BOOT_IMAGE=/vmlinuz-3.1.0-1-amd64
> root=/dev/mapper/Niukka-root ro no_console_suspend
> [    34.424] Build Date: 10 December 2011  09:55:45PM
> [    34.424] xorg-server 2:1.11.2.902-1 (Cyril Brulebois <kibi@debian.org
> >)
> [    34.424] Current version of pixman: 0.24.0
> [    34.424]    Before reporting problems, check http://wiki.x.org
>        to make sure that you have the latest version.
> [    34.424] Markers: (--) probed, (**) from config file, (==) default
> setting,
>        (++) from command line, (!!) notice, (II) informational,
>        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
> [    34.424] (==) Log file: "/var/log/Xorg.0.log", Time: Sat Jan  7
> 19:31:11 2012
> [    34.492] (==) Using system config directory
> "/usr/share/X11/xorg.conf.d"
> [    34.534] (==) No Layout section.  Using the first Screen section.
> [    34.535] (==) No screen section available. Using defaults.
> [    34.535] (**) |-->Screen "Default Screen Section" (0)
> [    34.535] (**) |   |-->Monitor "<default monitor>"
> [    34.564] (==) No monitor specified for screen "Default Screen Section".
>        Using a default monitor configuration.
> [    34.564] (==) Automatically adding devices
> [    34.564] (==) Automatically enabling devices
> [    34.602] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not
> exist.
> [    34.602]    Entry deleted from font path.
> [    34.720] (WW) `fonts.dir' not found (or not valid) in
> "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType".
> [    34.720]    Entry deleted from font path.
> [    34.720]    (Run 'mkfontdir' on
> "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType").
> [    34.720] (==) FontPath set to:
>        /usr/share/fonts/X11/misc,
>        /usr/share/fonts/X11/100dpi/:unscaled,
>        /usr/share/fonts/X11/75dpi/:unscaled,
>        /usr/share/fonts/X11/Type1,
>        /usr/share/fonts/X11/100dpi,
>        /usr/share/fonts/X11/75dpi,
>        built-ins
> [    34.720] (==) ModulePath set to "/usr/lib/xorg/modules"
> [    34.720] (II) The server relies on udev to provide the list of input
> devices.
>        If no devices become available, reconfigure udev or disable
> AutoAddDevices.
> [    34.720] (II) Loader magic: 0x7f2f48263ae0
> [    34.720] (II) Module ABI versions:
> [    34.720]    X.Org ANSI C Emulation: 0.4
> [    34.720]    X.Org Video Driver: 11.0
> [    34.720]    X.Org XInput driver : 13.0
> [    34.720]    X.Org Server Extension : 6.0
> [    34.722] (--) PCI:*(0:0:2:0) 8086:0046:104d:907c rev 2, Mem @
> 0xd0000000/4194304, 0xc0000000/268435456, I/O @ 0x00003050/8
> [    34.722] (WW) Open ACPI failed (/var/run/acpid.socket) (No such file
> or directory)
> [    34.722] (II) LoadModule: "extmod"
> [    34.789] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
> [    34.838] (II) Module extmod: vendor="X.Org Foundation"
> [    34.838]    compiled for 1.11.2.902, module version = 1.0.0
> [    34.838]    Module class: X.Org Server Extension
> [    34.838]    ABI class: X.Org Server Extension, version 6.0
> [    34.838] (II) Loading extension SELinux
> [    34.838] (II) Loading extension MIT-SCREEN-SAVER
> [    34.838] (II) Loading extension XFree86-VidModeExtension
> [    34.838] (II) Loading extension XFree86-DGA
> [    34.860] (II) Loading extension DPMS
> [    34.860] (II) Loading extension XVideo
> [    34.862] (II) Loading extension XVideo-MotionCompensation
> [    34.862] (II) Loading extension X-Resource
> [    34.862] (II) LoadModule: "dbe"
> [    34.862] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
> [    34.890] (II) Module dbe: vendor="X.Org Foundation"
> [    34.890]    compiled for 1.11.2.902, module version = 1.0.0
> [    34.891]    Module class: X.Org Server Extension
> [    34.891]    ABI class: X.Org Server Extension, version 6.0
> [    34.891] (II) Loading extension DOUBLE-BUFFER
> [    34.891] (II) LoadModule: "glx"
> [    34.891] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
> [    34.919] (II) Module glx: vendor="X.Org Foundation"
> [    34.919]    compiled for 1.11.2.902, module version = 1.0.0
> [    34.919]    ABI class: X.Org Server Extension, version 6.0
> [    34.919] (==) AIGLX enabled
> [    34.919] (II) Loading extension GLX
> [    34.921] (II) LoadModule: "record"
> [    34.922] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
> [    34.923] (II) Module record: vendor="X.Org Foundation"
> [    34.923]    compiled for 1.11.2.902, module version = 1.13.0
> [    34.924]    Module class: X.Org Server Extension
> [    34.924]    ABI class: X.Org Server Extension, version 6.0
> [    34.924] (II) Loading extension RECORD
> [    34.924] (II) LoadModule: "dri"
> [    34.924] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
> [    34.956] (II) Module dri: vendor="X.Org Foundation"
> [    34.956]    compiled for 1.11.2.902, module version = 1.0.0
> [    34.956]    ABI class: X.Org Server Extension, version 6.0
> [    34.956] (II) Loading extension XFree86-DRI
> [    34.956] (II) LoadModule: "dri2"
> [    34.956] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
> [    34.964] (II) Module dri2: vendor="X.Org Foundation"
> [    34.964]    compiled for 1.11.2.902, module version = 1.2.0
> [    34.964]    ABI class: X.Org Server Extension, version 6.0
> [    34.964] (II) Loading extension DRI2
> [    34.964] (==) Matched intel as autoconfigured driver 0
> [    34.964] (==) Matched vesa as autoconfigured driver 1
> [    34.964] (==) Matched fbdev as autoconfigured driver 2
> [    34.964] (==) Assigned the driver to the xf86ConfigLayout
> [    34.964] (II) LoadModule: "intel"
> [    34.965] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
> [    35.020] (II) Module intel: vendor="X.Org Foundation"
> [    35.020]    compiled for 1.11.1.902, module version = 2.17.0
> [    35.020]    Module class: X.Org Video Driver
> [    35.020]    ABI class: X.Org Video Driver, version 11.0
> [    35.021] (II) LoadModule: "vesa"
> [    35.021] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
> [    35.095] (II) Module vesa: vendor="X.Org Foundation"
> [    35.095]    compiled for 1.11.0, module version = 2.3.0
> [    35.095]    Module class: X.Org Video Driver
> [    35.095]    ABI class: X.Org Video Driver, version 11.0
> [    35.095] (II) LoadModule: "fbdev"
> [    35.095] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
> [    35.097] (II) Module fbdev: vendor="X.Org Foundation"
> [    35.097]    compiled for 1.11.0, module version = 0.4.2
> [    35.097]    ABI class: X.Org Video Driver, version 11.0
> [    35.097] (II) intel: Driver for Intel Integrated Graphics Chipsets:
> i810,
>        i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G, 915G,
>        E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
>        965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
>        4 Series, G45/G43, Q45/Q43, G41, B43, B43, Clarkdale, Arrandale,
>        Sandybridge Desktop (GT1), Sandybridge Desktop (GT2),
>        Sandybridge Desktop (GT2+), Sandybridge Mobile (GT1),
>        Sandybridge Mobile (GT2), Sandybridge Mobile (GT2+),
>        Sandybridge Server, Ivybridge Mobile (GT1), Ivybridge Mobile (GT2),
>        Ivybridge Desktop (GT1), Ivybridge Desktop (GT2), Ivybridge Server
> [    35.098] (II) VESA: driver for VESA chipsets: vesa
> [    35.098] (II) FBDEV: driver for framebuffer: fbdev
> [    35.098] (++) using VT number 7
>
> [    35.138] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
> [    35.138] (WW) Falling back to old probe method for vesa
> [    35.138] (WW) Falling back to old probe method for fbdev
> [    35.138] (II) Loading sub module "fbdevhw"
> [    35.138] (II) LoadModule: "fbdevhw"
> [    35.139] (II) Loading /usr/lib/xorg/modules/libfbdevhw.so
> [    35.155] (II) Module fbdevhw: vendor="X.Org Foundation"
> [    35.155]    compiled for 1.11.2.902, module version = 0.0.2
> [    35.155]    ABI class: X.Org Video Driver, version 11.0
> [    35.155] drmOpenDevice: node name is /dev/dri/card0
> [    35.155] drmOpenDevice: open result is 8, (OK)
> [    35.155] drmOpenByBusid: Searching for BusID pci:0000:00:02.0
> [    35.155] drmOpenDevice: node name is /dev/dri/card0
> [    35.155] drmOpenDevice: open result is 8, (OK)
> [    35.155] drmOpenByBusid: drmOpenMinor returns 8
> [    35.155] drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
> [    35.155] (II) intel(0): Creating default Display subsection in Screen
> section
>        "Default Screen Section" for depth/fbbpp 24/32
> [    35.155] (==) intel(0): Depth 24, (--) framebuffer bpp 32
> [    35.155] (==) intel(0): RGB weight 888
> [    35.155] (==) intel(0): Default visual is TrueColor
> [    35.156] (II) intel(0): Integrated Graphics Chipset: Intel(R) Arrandale
> [    35.156] (--) intel(0): Chipset: "Arrandale"
> [    35.156] (**) intel(0): Relaxed fencing enabled
> [    35.156] (**) intel(0): Wait on SwapBuffers? enabled
> [    35.156] (**) intel(0): Triple buffering? enabled
> [    35.156] (**) intel(0): Framebuffer tiled
> [    35.156] (**) intel(0): Pixmaps tiled
> [    35.156] (**) intel(0): 3D buffers tiled
> [    35.156] (**) intel(0): SwapBuffers wait enabled
> [    35.156] (==) intel(0): video overlay key set to 0x101fe
> [    35.156] (II) intel(0): Output LVDS1 has no monitor section
> [    35.160] (II) intel(0): found backlight control interface
> /sys/class/backlight/acpi_video0
> [    35.160] (II) intel(0): Output VGA1 has no monitor section
> [    35.183] (II) intel(0): Output HDMI1 has no monitor section
> [    35.236] (II) intel(0): Output DP1 has no monitor section
> [    35.236] (II) intel(0): EDID for output LVDS1
> [    35.236] (II) intel(0): Manufacturer: CMO  Model: 1113  Serial#: 0
> [    35.236] (II) intel(0): Year: 2009  Week: 9
> [    35.236] (II) intel(0): EDID Version: 1.3
> [    35.236] (II) intel(0): Digital Display Input
> [    35.236] (II) intel(0): Max Image Size [cm]: horiz.: 26  vert.: 14
> [    35.236] (II) intel(0): Gamma: 2.20
> [    35.236] (II) intel(0): No DPMS capabilities specified
> [    35.236] (II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb
> 4:4:4
> [    35.236] (II) intel(0): First detailed timing is preferred mode
> [    35.236] (II) intel(0): redX: 0.573 redY: 0.358   greenX: 0.339
> greenY: 0.568
> [    35.236] (II) intel(0): blueX: 0.153 blueY: 0.124   whiteX: 0.313
> whiteY: 0.329
> [    35.236] (II) intel(0): Manufacturer's mask: 0
> [    35.236] (II) intel(0): Supported detailed timing:
> [    35.236] (II) intel(0): clock: 69.3 MHz   Image Size:  256 x 144 mm
> [    35.236] (II) intel(0): h_active: 1366  h_sync: 1398  h_sync_end 1420
> h_blank_end 1474 h_border: 0
> [    35.236] (II) intel(0): v_active: 768  v_sync: 770  v_sync_end 774
> v_blanking: 784 v_border: 0
> [    35.236] (II) intel(0):  N116BGE-L41
> [    35.236] (II) intel(0):  CMO
> [    35.236] (II) intel(0):  N116BGE-L41
> [    35.236] (II) intel(0): EDID (in hex):
> [    35.236] (II) intel(0):     00ffffffffffff000daf131100000000
> [    35.236] (II) intel(0):     09130103801a0e780afe75925b569127
> [    35.236] (II) intel(0):     1f505400000001010101010101010101
> [    35.236] (II) intel(0):     010101010101121b566c500010302016
> [    35.236] (II) intel(0):     2400009010000018000000fe004e3131
> [    35.236] (II) intel(0):     364247452d4c34310a20000000fe0043
> [    35.236] (II) intel(0):     4d4f0a202020202020202020000000fe
> [    35.236] (II) intel(0):     004e3131364247452d4c34310a20008f
> [    35.236] (II) intel(0): EDID vendor "CMO", prod id 4371
> [    35.236] (II) intel(0): Printing DDC gathered Modelines:
> [    35.236] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [    35.237] (II) intel(0): Not using default mode "320x240" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "400x300" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "400x300" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "512x384" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "640x480" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "640x512" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "800x600" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "896x672" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "928x696" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "960x720" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "576x432" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "680x384" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "680x384" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "700x525" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "720x450" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "800x512" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "840x525" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "840x525" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "960x540" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "960x600" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Not using default mode "1024x768" (doublescan
> mode not supported)
> [    35.237] (II) intel(0): Printing probed modes for output LVDS1
> [    35.237] (II) intel(0): Modeline "1366x768"x60.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [    35.237] (II) intel(0): Modeline "1360x768"x59.8   84.75  1360 1432
> 1568 1776  768 771 781 798 -hsync +vsync (47.7 kHz)
> [    35.237] (II) intel(0): Modeline "1360x768"x60.0   72.00  1360 1408
> 1440 1520  768 771 781 790 +hsync -vsync (47.4 kHz)
> [    35.237] (II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048
> 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
> [    35.237] (II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968
> 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
> [    35.237] (II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896
> 1024  600 601 603 625 +hsync +vsync (35.2 kHz)
> [    35.237] (II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752
> 800  480 490 492 525 -hsync -vsync (31.5 kHz)
> [    35.237] (II) intel(0): EDID for output VGA1
> [    35.260] (II) intel(0): EDID for output HDMI1
> [    35.308] (II) intel(0): EDID for output DP1
> [    35.308] (II) intel(0): Output LVDS1 connected
> [    35.308] (II) intel(0): Output VGA1 disconnected
> [    35.308] (II) intel(0): Output HDMI1 disconnected
> [    35.308] (II) intel(0): Output DP1 disconnected
> [    35.308] (II) intel(0): Using exact sizes for initial modes
> [    35.308] (II) intel(0): Output LVDS1 using initial mode 1366x768
> [    35.308] (II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless
> otherwise stated.
> [    35.308] (II) intel(0): Kernel page flipping support detected, enabling
> [    35.308] (**) intel(0): Display dimensions: (260, 140) mm
> [    35.308] (**) intel(0): DPI set to (133, 139)
> [    35.308] (II) Loading sub module "fb"
> [    35.308] (II) LoadModule: "fb"
> [    35.308] (II) Loading /usr/lib/xorg/modules/libfb.so
> [    35.658] (II) Module fb: vendor="X.Org Foundation"
> [    35.658]    compiled for 1.11.2.902, module version = 1.0.0
> [    35.658]    ABI class: X.Org ANSI C Emulation, version 0.4
> [    35.658] (II) Loading sub module "dri2"
> [    35.658] (II) LoadModule: "dri2"
> [    35.658] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
> [    35.658] (II) Module dri2: vendor="X.Org Foundation"
> [    35.658]    compiled for 1.11.2.902, module version = 1.2.0
> [    35.658]    ABI class: X.Org Server Extension, version 6.0
> [    35.658] (II) UnloadModule: "vesa"
> [    35.658] (II) Unloading vesa
> [    35.659] (II) UnloadModule: "fbdev"
> [    35.659] (II) Unloading fbdev
> [    35.659] (II) UnloadModule: "fbdevhw"
> [    35.659] (II) Unloading fbdevhw
> [    35.659] (==) Depth 24 pixmap format is 32 bpp
> [    35.659] (II) intel(0): [DRI2] Setup complete
> [    35.659] (II) intel(0): [DRI2]   DRI driver: i965
> [    35.659] (II) intel(0): Allocated new frame buffer 1408x768 stride
> 5632, tiled
> [    35.775] (II) UXA(0): Driver registered support for the following
> operations:
> [    35.776] (II)         solid
> [    35.776] (II)         copy
> [    35.776] (II)         composite (RENDER acceleration)
> [    35.776] (II)         put_image
> [    35.776] (II)         get_image
> [    35.776] (==) intel(0): Backing store disabled
> [    35.776] (==) intel(0): Silken mouse enabled
> [    35.776] (II) intel(0): Initializing HW Cursor
> [    35.848] (II) intel(0): RandR 1.2 enabled, ignore the following RandR
> disabled message.
> [    35.865] (==) intel(0): DPMS enabled
> [    35.865] (==) intel(0): Intel XvMC decoder enabled
> [    35.865] (II) intel(0): Set up textured video
> [    35.865] (II) intel(0): [XvMC] xvmc_vld driver initialized.
> [    35.865] (II) intel(0): direct rendering: DRI2 Enabled
> [    35.865] (==) intel(0): hotplug detection: "enabled"
> [    35.865] (--) RandR disabled
> [    35.865] (II) Initializing built-in extension Generic Event Extension
> [    35.865] (II) Initializing built-in extension SHAPE
> [    35.865] (II) Initializing built-in extension MIT-SHM
> [    35.865] (II) Initializing built-in extension XInputExtension
> [    35.865] (II) Initializing built-in extension XTEST
> [    35.865] (II) Initializing built-in extension BIG-REQUESTS
> [    35.865] (II) Initializing built-in extension SYNC
> [    35.865] (II) Initializing built-in extension XKEYBOARD
> [    35.865] (II) Initializing built-in extension XC-MISC
> [    35.865] (II) Initializing built-in extension SECURITY
> [    35.865] (II) Initializing built-in extension XINERAMA
> [    35.865] (II) Initializing built-in extension XFIXES
> [    35.865] (II) Initializing built-in extension RENDER
> [    35.865] (II) Initializing built-in extension RANDR
> [    35.865] (II) Initializing built-in extension COMPOSITE
> [    35.865] (II) Initializing built-in extension DAMAGE
> [    35.865] (II) SELinux: Disabled on system
> [    36.451] (II) AIGLX: enabled GLX_MESA_copy_sub_buffer
> [    36.451] (II) AIGLX: enabled GLX_INTEL_swap_event
> [    36.451] (II) AIGLX: enabled GLX_SGI_swap_control and
> GLX_MESA_swap_control
> [    36.451] (II) AIGLX: enabled GLX_SGI_make_current_read
> [    36.451] (II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer
> objects
> [    36.451] (II) AIGLX: Loaded and initialized i965
> [    36.451] (II) GLX: Initialized DRI2 GL provider for screen 0
> [    36.452] (II) intel(0): Setting screen physical size to 361 x 203
> [    37.448] (II) config/udev: Adding input device Power Button
> (/dev/input/event4)
> [    37.448] (**) Power Button: Applying InputClass "evdev keyboard
> catchall"
> [    37.448] (II) LoadModule: "evdev"
> [    37.449] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
> [    37.526] (II) Module evdev: vendor="X.Org Foundation"
> [    37.526]    compiled for 1.11.0, module version = 2.6.0
> [    37.526]    Module class: X.Org XInput Driver
> [    37.526]    ABI class: X.Org XInput driver, version 13.0
> [    37.526] (II) Using input driver 'evdev' for 'Power Button'
> [    37.526] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
> [    37.526] (**) Power Button: always reports core events
> [    37.526] (**) Power Button: Device: "/dev/input/event4"
> [    37.526] (--) Power Button: Found keys
> [    37.526] (II) Power Button: Configuring as keyboard
> [    37.526] (**) Option "config_info"
> "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4"
> [    37.526] (II) XINPUT: Adding extended input device "Power Button"
> (type: KEYBOARD, id 6)
> [    37.526] (**) Option "xkb_rules" "evdev"
> [    37.526] (**) Option "xkb_model" "pc105"
> [    37.526] (**) Option "xkb_layout" "fi"
> [    37.616] (II) config/udev: Adding input device Video Bus
> (/dev/input/event9)
> [    37.616] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
> [    37.616] (II) Using input driver 'evdev' for 'Video Bus'
> [    37.616] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
> [    37.616] (**) Video Bus: always reports core events
> [    37.616] (**) Video Bus: Device: "/dev/input/event9"
> [    37.616] (--) Video Bus: Found keys
> [    37.616] (II) Video Bus: Configuring as keyboard
> [    37.616] (**) Option "config_info"
> "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input9/event9"
> [    37.616] (II) XINPUT: Adding extended input device "Video Bus" (type:
> KEYBOARD, id 7)
> [    37.617] (**) Option "xkb_rules" "evdev"
> [    37.617] (**) Option "xkb_model" "pc105"
> [    37.617] (**) Option "xkb_layout" "fi"
> [    37.617] (II) config/udev: Adding input device Sony Vaio Keys
> (/dev/input/event5)
> [    37.617] (**) Sony Vaio Keys: Applying InputClass "evdev keyboard
> catchall"
> [    37.617] (II) Using input driver 'evdev' for 'Sony Vaio Keys'
> [    37.617] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
> [    37.618] (**) Sony Vaio Keys: always reports core events
> [    37.618] (**) Sony Vaio Keys: Device: "/dev/input/event5"
> [    37.618] (--) Sony Vaio Keys: Found keys
> [    37.618] (II) Sony Vaio Keys: Configuring as keyboard
> [    37.618] (**) Option "config_info"
> "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0c/SNY5001:00/input/input5/event5"
> [    37.618] (II) XINPUT: Adding extended input device "Sony Vaio Keys"
> (type: KEYBOARD, id 8)
> [    37.618] (**) Option "xkb_rules" "evdev"
> [    37.618] (**) Option "xkb_model" "pc105"
> [    37.618] (**) Option "xkb_layout" "fi"
> [    37.618] (II) config/udev: Adding input device Lid Switch
> (/dev/input/event2)
> [    37.618] (II) No input driver/identifier specified (ignoring)
> [    37.619] (II) config/udev: Adding input device Sleep Button
> (/dev/input/event3)
> [    37.619] (**) Sleep Button: Applying InputClass "evdev keyboard
> catchall"
> [    37.619] (II) Using input driver 'evdev' for 'Sleep Button'
> [    37.619] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
> [    37.619] (**) Sleep Button: always reports core events
> [    37.619] (**) Sleep Button: Device: "/dev/input/event3"
> [    37.619] (--) Sleep Button: Found keys
> [    37.619] (II) Sleep Button: Configuring as keyboard
> [    37.619] (**) Option "config_info"
> "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input3/event3"
> [    37.619] (II) XINPUT: Adding extended input device "Sleep Button"
> (type: KEYBOARD, id 9)
> [    37.619] (**) Option "xkb_rules" "evdev"
> [    37.619] (**) Option "xkb_model" "pc105"
> [    37.619] (**) Option "xkb_layout" "fi"
> [    37.620] (II) config/udev: Adding input device Sony Visual
> Communication Camer (/dev/input/event8)
> [    37.620] (**) Sony Visual Communication Camer: Applying InputClass
> "evdev keyboard catchall"
> [    37.620] (II) Using input driver 'evdev' for 'Sony Visual
> Communication Camer'
> [    37.620] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
> [    37.620] (**) Sony Visual Communication Camer: always reports core
> events
> [    37.620] (**) Sony Visual Communication Camer: Device:
> "/dev/input/event8"
> [    37.620] (--) Sony Visual Communication Camer: Found keys
> [    37.620] (II) Sony Visual Communication Camer: Configuring as keyboard
> [    37.620] (**) Option "config_info"
> "udev:/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input8/event8"
> [    37.620] (II) XINPUT: Adding extended input device "Sony Visual
> Communication Camer" (type: KEYBOARD, id 10)
> [    37.620] (**) Option "xkb_rules" "evdev"
> [    37.620] (**) Option "xkb_model" "pc105"
> [    37.620] (**) Option "xkb_layout" "fi"
> [    37.621] (II) config/udev: Adding input device HDA Digital PCBeep
> (/dev/input/event10)
> [    37.621] (II) No input driver/identifier specified (ignoring)
> [    37.621] (II) config/udev: Adding input device HDA Intel HDMI/DP
> (/dev/input/event11)
> [    37.621] (II) No input driver/identifier specified (ignoring)
> [    37.621] (II) config/udev: Adding input device HDA Intel Mic
> (/dev/input/event12)
> [    37.621] (II) No input driver/identifier specified (ignoring)
> [    37.622] (II) config/udev: Adding input device HDA Intel Headphone
> (/dev/input/event13)
> [    37.622] (II) No input driver/identifier specified (ignoring)
> [    37.622] (II) config/udev: Adding input device AT Translated Set 2
> keyboard (/dev/input/event0)
> [    37.622] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev
> keyboard catchall"
> [    37.622] (II) Using input driver 'evdev' for 'AT Translated Set 2
> keyboard'
> [    37.622] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
> [    37.622] (**) AT Translated Set 2 keyboard: always reports core events
> [    37.622] (**) AT Translated Set 2 keyboard: Device: "/dev/input/event0"
> [    37.622] (--) AT Translated Set 2 keyboard: Found keys
> [    37.622] (II) AT Translated Set 2 keyboard: Configuring as keyboard
> [    37.622] (**) Option "config_info"
> "udev:/sys/devices/platform/i8042/serio0/input/input0/event0"
> [    37.622] (II) XINPUT: Adding extended input device "AT Translated Set
> 2 keyboard" (type: KEYBOARD, id 11)
> [    37.622] (**) Option "xkb_rules" "evdev"
> [    37.623] (**) Option "xkb_model" "pc105"
> [    37.623] (**) Option "xkb_layout" "fi"
> [    37.623] (II) config/udev: Adding input device SynPS/2 Synaptics
> TouchPad (/dev/input/event7)
> [    37.623] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev
> touchpad catchall"
> [    37.623] (**) SynPS/2 Synaptics TouchPad: Applying InputClass
> "touchpad catchall"
> [    37.623] (II) LoadModule: "synaptics"
> [    37.624] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
> [    37.642] (II) Module synaptics: vendor="X.Org Foundation"
> [    37.642]    compiled for 1.11.2.902, module version = 1.5.0
> [    37.642]    Module class: X.Org XInput Driver
> [    37.642]    ABI class: X.Org XInput driver, version 13.0
> [    37.642] (II) Using input driver 'synaptics' for 'SynPS/2 Synaptics
> TouchPad'
> [    37.642] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
> [    37.642] (**) SynPS/2 Synaptics TouchPad: always reports core events
> [    37.642] (**) Option "Device" "/dev/input/event7"
> [    37.892] (--) synaptics: SynPS/2 Synaptics TouchPad: x-axis range 1472
> - 5874
> [    37.892] (--) synaptics: SynPS/2 Synaptics TouchPad: y-axis range 1408
> - 5232
> [    37.892] (--) synaptics: SynPS/2 Synaptics TouchPad: pressure range 0
> - 255
> [    37.892] (--) synaptics: SynPS/2 Synaptics TouchPad: finger width
> range 0 - 0
> [    37.892] (--) synaptics: SynPS/2 Synaptics TouchPad: buttons: left
> right double triple
> [    37.892] (--) synaptics: SynPS/2 Synaptics TouchPad: Vendor 0x2
> Product 0x7
> [    37.932] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
> [    37.932] (**) SynPS/2 Synaptics TouchPad: always reports core events
> [    38.028] (**) Option "config_info"
> "udev:/sys/devices/platform/i8042/serio1/input/input7/event7"
> [    38.028] (II) XINPUT: Adding extended input device "SynPS/2 Synaptics
> TouchPad" (type: TOUCHPAD, id 12)
> [    38.028] (**) synaptics: SynPS/2 Synaptics TouchPad: (accel) MinSpeed
> is now constant deceleration 2.5
> [    38.028] (**) synaptics: SynPS/2 Synaptics TouchPad: MaxSpeed is now
> 1.75
> [    38.028] (**) synaptics: SynPS/2 Synaptics TouchPad: AccelFactor is
> now 0.034
> [    38.028] (**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration
> scheme 1
> [    38.028] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration profile
> 1
> [    38.028] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor:
> 2.000
> [    38.028] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration
> threshold: 4
> [    38.028] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
> [    38.029] (II) config/udev: Adding input device SynPS/2 Synaptics
> TouchPad (/dev/input/mouse1)
> [    38.029] (**) SynPS/2 Synaptics TouchPad: Ignoring device from
> InputClass "touchpad ignore duplicates"
> [    38.029] (II) config/udev: Adding input device PC Speaker
> (/dev/input/event1)
> [    38.029] (II) No input driver/identifier specified (ignoring)
> [    38.030] (II) config/udev: Adding input device ACPI Virtual Keyboard
> Device (/dev/input/event14)
> [    38.030] (**) ACPI Virtual Keyboard Device: Applying InputClass "evdev
> keyboard catchall"
> [    38.030] (II) Using input driver 'evdev' for 'ACPI Virtual Keyboard
> Device'
> [    38.030] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
> [    38.030] (**) ACPI Virtual Keyboard Device: always reports core events
> [    38.030] (**) ACPI Virtual Keyboard Device: Device:
> "/dev/input/event14"
> [    38.030] (--) ACPI Virtual Keyboard Device: Found keys
> [    38.030] (II) ACPI Virtual Keyboard Device: Configuring as keyboard
> [    38.030] (**) Option "config_info"
> "udev:/sys/devices/virtual/input/input14/event14"
> [    38.030] (II) XINPUT: Adding extended input device "ACPI Virtual
> Keyboard Device" (type: KEYBOARD, id 13)
> [    38.030] (**) Option "xkb_rules" "evdev"
> [    38.030] (**) Option "xkb_model" "pc105"
> [    38.030] (**) Option "xkb_layout" "fi"
> [    38.031] (II) config/udev: Adding input device Sony Vaio Jogdial
> (/dev/input/event6)
> [    38.031] (II) No input driver/identifier specified (ignoring)
> [    38.031] (II) config/udev: Adding input device Sony Vaio Jogdial
> (/dev/input/mouse0)
> [    38.031] (II) No input driver/identifier specified (ignoring)
> [    38.040] (II) intel(0): EDID vendor "CMO", prod id 4371
> [    38.040] (II) intel(0): Printing DDC gathered Modelines:
> [    38.040] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [    47.935] (II) intel(0): EDID vendor "CMO", prod id 4371
> [    47.935] (II) intel(0): Printing DDC gathered Modelines:
> [    47.935] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [    48.007] (II) intel(0): EDID vendor "CMO", prod id 4371
> [    48.007] (II) intel(0): Printing DDC gathered Modelines:
> [    48.008] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [    48.102] (II) intel(0): EDID vendor "CMO", prod id 4371
> [    48.102] (II) intel(0): Printing DDC gathered Modelines:
> [    48.102] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [    48.175] (II) intel(0): EDID vendor "CMO", prod id 4371
> [    48.175] (II) intel(0): Printing DDC gathered Modelines:
> [    48.175] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [    66.589] (II) intel(0): EDID vendor "CMO", prod id 4371
> [    66.589] (II) intel(0): Printing DDC gathered Modelines:
> [    66.589] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [    66.665] (II) intel(0): EDID vendor "CMO", prod id 4371
> [    66.665] (II) intel(0): Printing DDC gathered Modelines:
> [    66.665] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [    66.738] (II) intel(0): EDID vendor "CMO", prod id 4371
> [    66.738] (II) intel(0): Printing DDC gathered Modelines:
> [    66.738] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [    66.830] (II) intel(0): EDID vendor "CMO", prod id 4371
> [    66.830] (II) intel(0): Printing DDC gathered Modelines:
> [    66.830] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [    71.139] (II) intel(0): EDID vendor "CMO", prod id 4371
> [    71.139] (II) intel(0): Printing DDC gathered Modelines:
> [    71.139] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [  9937.047] (II) intel(0): EDID vendor "CMO", prod id 4371
> [  9937.047] (II) intel(0): Printing DDC gathered Modelines:
> [  9937.047] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 23294.067] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 23294.067] (II) intel(0): Printing DDC gathered Modelines:
> [ 23294.067] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 23348.066] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 23348.066] (II) intel(0): Printing DDC gathered Modelines:
> [ 23348.067] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 23382.755] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 23382.755] (II) intel(0): Printing DDC gathered Modelines:
> [ 23382.755] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 23385.101] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 23385.101] (II) intel(0): Printing DDC gathered Modelines:
> [ 23385.101] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 23390.129] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 23390.129] (II) intel(0): Printing DDC gathered Modelines:
> [ 23390.129] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 23447.872] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 23447.873] (II) intel(0): Printing DDC gathered Modelines:
> [ 23447.873] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 23448.105] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 23448.105] (II) intel(0): Printing DDC gathered Modelines:
> [ 23448.105] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 23449.990] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 23449.990] (II) intel(0): Printing DDC gathered Modelines:
> [ 23449.990] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 23458.268] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 23458.268] (II) intel(0): Printing DDC gathered Modelines:
> [ 23458.268] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 23463.539] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 23463.541] (II) intel(0): Printing DDC gathered Modelines:
> [ 23463.542] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 23463.771] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 23463.771] (II) intel(0): Printing DDC gathered Modelines:
> [ 23463.771] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 23466.702] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 23466.702] (II) intel(0): Printing DDC gathered Modelines:
> [ 23466.702] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 23574.410] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 23574.411] (II) intel(0): Printing DDC gathered Modelines:
> [ 23574.411] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 23578.294] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 23578.295] (II) intel(0): Printing DDC gathered Modelines:
> [ 23578.295] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 23578.526] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 23578.526] (II) intel(0): Printing DDC gathered Modelines:
> [ 23578.526] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 24398.943] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 24398.943] (II) intel(0): Printing DDC gathered Modelines:
> [ 24398.944] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 25414.939] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 25414.939] (II) intel(0): Printing DDC gathered Modelines:
> [ 25414.939] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 26210.999] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 26210.999] (II) intel(0): Printing DDC gathered Modelines:
> [ 26210.999] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 26214.672] (II) AIGLX: Suspending AIGLX clients for VT switch
> [ 26220.320] (II) Open ACPI successful (/var/run/acpid.socket)
> [ 26220.320] (II) AIGLX: Resuming AIGLX clients after VT switch
> [ 26220.376] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 26220.376] (II) intel(0): Printing DDC gathered Modelines:
> [ 26220.376] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 26220.462] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
> [ 29162.114] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 29162.114] (II) intel(0): Printing DDC gathered Modelines:
> [ 29162.114] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 31671.962] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 31671.962] (II) intel(0): Printing DDC gathered Modelines:
> [ 31671.962] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 31675.472] (II) AIGLX: Suspending AIGLX clients for VT switch
> [ 31682.882] (II) Open ACPI successful (/var/run/acpid.socket)
> [ 31682.882] (II) AIGLX: Resuming AIGLX clients after VT switch
> [ 31683.060] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 31683.060] (II) intel(0): Printing DDC gathered Modelines:
> [ 31683.060] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 31683.152] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
> [ 36055.006] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 36055.006] (II) intel(0): Printing DDC gathered Modelines:
> [ 36055.006] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 36062.860] (II) AIGLX: Suspending AIGLX clients for VT switch
> [ 36067.862] (II) Open ACPI successful (/var/run/acpid.socket)
> [ 36067.862] (II) AIGLX: Resuming AIGLX clients after VT switch
> [ 36067.916] (II) intel(0): EDID vendor "CMO", prod id 4371
> [ 36067.916] (II) intel(0): Printing DDC gathered Modelines:
> [ 36067.916] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398
> 1420 1474  768 770 774 784 -hsync -vsync (47.0 kHz)
> [ 36068.006] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
>
> udev information:
> -----------------
> P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input4
> E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input4
> E: EV=3
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: ID_PATH=acpi-LNXPWRBN:00
> E: ID_PATH_TAG=acpi-LNXPWRBN_00
> E: KEY=10000000000000 0
> E: MODALIAS=input:b0019v0000p0001e0000-e0,1,k74,ramlsfw
> E: NAME="Power Button"
> E: PHYS="LNXPWRBN/button/input0"
> E: PRODUCT=19/0/1/0
> E: PROP=0
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=16493080
>
> P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4
> N: input/event4
> E: DEVNAME=/dev/input/event4
> E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4
> E: DMI_VENDOR=Sony Corporation
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: ID_PATH=acpi-LNXPWRBN:00
> E: ID_PATH_TAG=acpi-LNXPWRBN_00
> E: MAJOR=13
> E: MINOR=68
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=16998981
> E: XKBLAYOUT=fi
> E: XKBMODEL=pc105
>
> P: /devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input9
> E:
> DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input9
> E: EV=3
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: ID_PATH=acpi-LNXVIDEO:00
> E: ID_PATH_TAG=acpi-LNXVIDEO_00
> E: KEY=3e000b00000000 0 0 0
> E:
> MODALIAS=input:b0019v0000p0006e0000-e0,1,kE0,E1,E3,F1,F2,F3,F4,F5,ramlsfw
> E: NAME="Video Bus"
> E: PHYS="LNXVIDEO/video/input0"
> E: PRODUCT=19/0/6/0
> E: PROP=0
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=19389622
>
> P:
> /devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input9/event9
> N: input/event9
> E: DEVNAME=/dev/input/event9
> E:
> DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input9/event9
> E: DMI_VENDOR=Sony Corporation
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: ID_PATH=acpi-LNXVIDEO:00
> E: ID_PATH_TAG=acpi-LNXVIDEO_00
> E: MAJOR=13
> E: MINOR=73
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=19395335
> E: XKBLAYOUT=fi
> E: XKBMODEL=pc105
>
> P:
> /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0c/SNY5001:00/input/input5
> E:
> DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0c/SNY5001:00/input/input5
> E: EV=13
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: ID_PATH=acpi-SNY5001:00
> E: ID_PATH_TAG=acpi-SNY5001_00
> E: KEY=1f160f0000 c00000000 10010000000000 200000000 600f00102c00
> 380000240300400 e000000000000 0
> E:
> MODALIAS=input:b0010v104Dp0000e0000-e0,1,4,k71,72,73,8A,94,95,9E,A1,B7,B8,B9,CA,CB,CD,D4,E0,E1,E2,E3,ED,EE,121,168,174,1A2,1A3,1D0,1D1,1D2,1D3,1D9,1DA,1DC,1E0,1E1,1E2,1E3,1E4,ram4,lsfw
> E: MSC=10
> E: NAME="Sony Vaio Keys"
> E: PRODUCT=10/104d/0/0
> E: PROP=0
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=16814988
>
> P:
> /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0c/SNY5001:00/input/input5/event5
> N: input/event5
> E: DEVNAME=/dev/input/event5
> E:
> DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0c/SNY5001:00/input/input5/event5
> E: DMI_VENDOR=Sony Corporation
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: ID_PATH=acpi-SNY5001:00
> E: ID_PATH_TAG=acpi-SNY5001_00
> E: MAJOR=13
> E: MINOR=69
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=16998997
> E: XKBLAYOUT=fi
> E: XKBMODEL=pc105
>
> P: /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input2
> E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input2
> E: EV=21
> E: ID_INPUT=1
> E: ID_PATH=acpi-PNP0C0D:00
> E: ID_PATH_TAG=acpi-PNP0C0D_00
> E: MODALIAS=input:b0019v0000p0005e0000-e0,5,kramlsfw0,
> E: NAME="Lid Switch"
> E: PHYS="PNP0C0D/button/input0"
> E: PRODUCT=19/0/5/0
> E: PROP=0
> E: SUBSYSTEM=input
> E: SW=1
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=16493213
>
> P: /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input2/event2
> N: input/event2
> E: DEVNAME=/dev/input/event2
> E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input2/event2
> E: ID_INPUT=1
> E: ID_PATH=acpi-PNP0C0D:00
> E: ID_PATH_TAG=acpi-PNP0C0D_00
> E: MAJOR=13
> E: MINOR=66
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=16497147
>
> P: /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input3
> E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input3
> E: EV=3
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: ID_PATH=acpi-PNP0C0E:00
> E: ID_PATH_TAG=acpi-PNP0C0E_00
> E: KEY=4000 0 0
> E: MODALIAS=input:b0019v0000p0003e0000-e0,1,k8E,ramlsfw
> E: NAME="Sleep Button"
> E: PHYS="PNP0C0E/button/input0"
> E: PRODUCT=19/0/3/0
> E: PROP=0
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=16482369
>
> P: /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input3/event3
> N: input/event3
> E: DEVNAME=/dev/input/event3
> E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input3/event3
> E: DMI_VENDOR=Sony Corporation
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: ID_PATH=acpi-PNP0C0E:00
> E: ID_PATH_TAG=acpi-PNP0C0E_00
> E: MAJOR=13
> E: MINOR=67
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=16998976
> E: XKBLAYOUT=fi
> E: XKBMODEL=pc105
>
> P: /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input8
> E:
> DEVPATH=/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input8
> E: EV=3
> E: ID_BUS=usb
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: ID_MODEL=Sony_Visual_Communication_Camera
> E: ID_MODEL_ENC=Sony\x20Visual\x20Communication\x20Camera
> E: ID_MODEL_ID=005f
> E: ID_PATH=pci-0000:00:1a.0-usb-0:1.2:1.0
> E: ID_PATH_TAG=pci-0000_00_1a_0-usb-0_1_2_1_0
> E: ID_REVISION=0007
> E: ID_SERIAL=Sonix_Technology_Co.__Ltd._Sony_Visual_Communication_Camera
> E: ID_TYPE=video
> E: ID_USB_DRIVER=uvcvideo
> E: ID_USB_INTERFACES=:0e0100:0e0200:
> E: ID_USB_INTERFACE_NUM=00
> E: ID_VENDOR=Sonix_Technology_Co.__Ltd.
> E: ID_VENDOR_ENC=Sonix\x20Technology\x20Co.\x2c\x20Ltd.
> E: ID_VENDOR_ID=1fea
> E: KEY=100000 0 0 0
> E: MODALIAS=input:b0003v1FEAp005Fe0007-e0,1,kD4,ramlsfw
> E: NAME="Sony Visual Communication Camer"
> E: PHYS="usb-0000:00:1a.0-1.2/button"
> E: PRODUCT=3/1fea/5f/7
> E: PROP=0
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=18850911
>
> P:
> /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input8/event8
> N: input/event8
> S:
> input/by-id/usb-Sonix_Technology_Co.__Ltd._Sony_Visual_Communication_Camera-event-if00
> S: input/by-path/pci-0000:00:1a.0-usb-0:1.2:1.0-event
> E:
> DEVLINKS=/dev/input/by-id/usb-Sonix_Technology_Co.__Ltd._Sony_Visual_Communication_Camera-event-if00
> /dev/input/by-path/pci-0000:00:1a.0-usb-0:1.2:1.0-event
> E: DEVNAME=/dev/input/event8
> E:
> DEVPATH=/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input8/event8
> E: ID_BUS=usb
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: ID_MODEL=Sony_Visual_Communication_Camera
> E: ID_MODEL_ENC=Sony\x20Visual\x20Communication\x20Camera
> E: ID_MODEL_ID=005f
> E: ID_PATH=pci-0000:00:1a.0-usb-0:1.2:1.0
> E: ID_PATH_TAG=pci-0000_00_1a_0-usb-0_1_2_1_0
> E: ID_REVISION=0007
> E: ID_SERIAL=Sonix_Technology_Co.__Ltd._Sony_Visual_Communication_Camera
> E: ID_TYPE=video
> E: ID_USB_DRIVER=uvcvideo
> E: ID_USB_INTERFACES=:0e0100:0e0200:
> E: ID_USB_INTERFACE_NUM=00
> E: ID_VENDOR=Sonix_Technology_Co.__Ltd.
> E: ID_VENDOR_ENC=Sonix\x20Technology\x20Co.\x2c\x20Ltd.
> E: ID_VENDOR_ID=1fea
> E: MAJOR=13
> E: MINOR=72
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=18855731
> E: XKBLAYOUT=fi
> E: XKBMODEL=pc105
>
> P: /devices/pci0000:00/0000:00:1b.0/input/input10
> E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/input/input10
> E: EV=40001
> E: ID_INPUT=1
> E: ID_PATH=pci-0000:00:1b.0
> E: ID_PATH_TAG=pci-0000_00_1b_0
> E: MODALIAS=input:b0001v10ECp0269e0001-e0,12,kramls1,2,fw
> E: NAME="HDA Digital PCBeep"
> E: PHYS="card0/codec#0/beep0"
> E: PRODUCT=1/10ec/269/1
> E: PROP=0
> E: SND=6
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=19512757
>
> P: /devices/pci0000:00/0000:00:1b.0/input/input10/event10
> N: input/event10
> E: DEVNAME=/dev/input/event10
> E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/input/input10/event10
> E: ID_INPUT=1
> E: ID_PATH=pci-0000:00:1b.0
> E: ID_PATH_TAG=pci-0000_00_1b_0
> E: MAJOR=13
> E: MINOR=74
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=19519099
>
> P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input11
> E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input11
> E: EV=21
> E: ID_INPUT=1
> E: ID_PATH=pci-0000:00:1b.0
> E: ID_PATH_TAG=pci-0000_00_1b_0
> E: MODALIAS=input:b0000v0000p0000e0000-e0,5,kramlsfw8,
> E: NAME="HDA Intel HDMI/DP"
> E: PHYS="ALSA"
> E: PRODUCT=0/0/0/0
> E: PROP=0
> E: SUBSYSTEM=input
> E: SW=100
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=19513860
>
> P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input11/event11
> N: input/event11
> E: DEVNAME=/dev/input/event11
> E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input11/event11
> E: ID_INPUT=1
> E: ID_PATH=pci-0000:00:1b.0
> E: ID_PATH_TAG=pci-0000_00_1b_0
> E: MAJOR=13
> E: MINOR=75
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=19518459
>
> P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input12
> E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input12
> E: EV=21
> E: ID_INPUT=1
> E: ID_PATH=pci-0000:00:1b.0
> E: ID_PATH_TAG=pci-0000_00_1b_0
> E: MODALIAS=input:b0000v0000p0000e0000-e0,5,kramlsfw4,
> E: NAME="HDA Intel Mic"
> E: PHYS="ALSA"
> E: PRODUCT=0/0/0/0
> E: PROP=0
> E: SUBSYSTEM=input
> E: SW=10
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=19514847
>
> P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input12/event12
> N: input/event12
> E: DEVNAME=/dev/input/event12
> E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input12/event12
> E: ID_INPUT=1
> E: ID_PATH=pci-0000:00:1b.0
> E: ID_PATH_TAG=pci-0000_00_1b_0
> E: MAJOR=13
> E: MINOR=76
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=19520307
>
> P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input13
> E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input13
> E: EV=21
> E: ID_INPUT=1
> E: ID_PATH=pci-0000:00:1b.0
> E: ID_PATH_TAG=pci-0000_00_1b_0
> E: MODALIAS=input:b0000v0000p0000e0000-e0,5,kramlsfw2,
> E: NAME="HDA Intel Headphone"
> E: PHYS="ALSA"
> E: PRODUCT=0/0/0/0
> E: PROP=0
> E: SUBSYSTEM=input
> E: SW=4
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=19514235
>
> P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input13/event13
> N: input/event13
> E: DEVNAME=/dev/input/event13
> E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input13/event13
> E: ID_INPUT=1
> E: ID_PATH=pci-0000:00:1b.0
> E: ID_PATH_TAG=pci-0000_00_1b_0
> E: MAJOR=13
> E: MINOR=77
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=19518794
>
> P: /devices/platform/i8042/serio0/input/input0
> E: DEVPATH=/devices/platform/i8042/serio0/input/input0
> E: EV=120013
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: ID_INPUT_KEYBOARD=1
> E: ID_PATH=platform-i8042-serio-0
> E: ID_PATH_TAG=platform-i8042-serio-0
> E: ID_SERIAL=noserial
> E: KEY=402000000 3803078f800d001 feffffdfffefffff fffffffffffffffe
> E: LED=7
> E:
> MODALIAS=input:b0011v0001p0001eAB41-e0,1,4,11,14,k71,72,73,74,75,76,77,79,7A,7B,7C,7D,7E,7F,80,8C,8E,8F,9B,9C,9D,9E,9F,A3,A4,A5,A6,AC,AD,B7,B8,B9,D9,E2,ram4,l0,1,2,sfw
> E: MSC=10
> E: NAME="AT Translated Set 2 keyboard"
> E: PHYS="isa0060/serio0/input0"
> E: PRODUCT=11/1/1/ab41
> E: PROP=0
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=16304916
>
> P: /devices/platform/i8042/serio0/input/input0/event0
> N: input/event0
> S: input/by-path/platform-i8042-serio-0-event-kbd
> E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-0-event-kbd
> E: DEVNAME=/dev/input/event0
> E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
> E: DMI_VENDOR=Sony Corporation
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: ID_INPUT_KEYBOARD=1
> E: ID_PATH=platform-i8042-serio-0
> E: ID_PATH_TAG=platform-i8042-serio-0
> E: ID_SERIAL=noserial
> E: MAJOR=13
> E: MINOR=64
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=16999196
> E: XKBLAYOUT=fi
> E: XKBMODEL=pc105
>
> P: /devices/platform/i8042/serio1/input/input7
> E: ABS=260800011000003
> E: DEVPATH=/devices/platform/i8042/serio1/input/input7
> E: EV=b
> E: ID_INPUT=1
> E: ID_INPUT_TOUCHPAD=1
> E: ID_PATH=platform-i8042-serio-1
> E: ID_PATH_TAG=platform-i8042-serio-1
> E: ID_SERIAL=noserial
> E: KEY=6420 30000 0 0 0 0
> E:
> MODALIAS=input:b0011v0002p0007e01B1-e0,1,3,k110,111,145,14A,14D,14E,ra0,1,18,1C,2F,35,36,39,mlsfw
> E: NAME="SynPS/2 Synaptics TouchPad"
> E: PHYS="isa0060/serio1/input0"
> E: PRODUCT=11/2/7/1b1
> E: PROP=9
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=18276854
>
> P: /devices/platform/i8042/serio1/input/input7/event7
> N: input/event7
> S: input/by-path/platform-i8042-serio-1-event-mouse
> E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-event-mouse
> E: DEVNAME=/dev/input/event7
> E: DEVPATH=/devices/platform/i8042/serio1/input/input7/event7
> E: ID_INPUT=1
> E: ID_INPUT_TOUCHPAD=1
> E: ID_PATH=platform-i8042-serio-1
> E: ID_PATH_TAG=platform-i8042-serio-1
> E: ID_SERIAL=noserial
> E: MAJOR=13
> E: MINOR=71
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=18514248
>
> P: /devices/platform/i8042/serio1/input/input7/mouse1
> N: input/mouse1
> S: input/by-path/platform-i8042-serio-1-mouse
> E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-mouse
> E: DEVNAME=/dev/input/mouse1
> E: DEVPATH=/devices/platform/i8042/serio1/input/input7/mouse1
> E: ID_INPUT=1
> E: ID_INPUT_TOUCHPAD=1
> E: ID_PATH=platform-i8042-serio-1
> E: ID_PATH_TAG=platform-i8042-serio-1
> E: ID_SERIAL=noserial
> E: MAJOR=13
> E: MINOR=33
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=18514198
>
> P: /devices/platform/pcspkr/input/input1
> E: DEVPATH=/devices/platform/pcspkr/input/input1
> E: EV=40001
> E: ID_INPUT=1
> E: ID_PATH=platform-pcspkr
> E: ID_PATH_TAG=platform-pcspkr
> E: ID_SERIAL=noserial
> E: MODALIAS=input:b0010v001Fp0001e0100-e0,12,kramls1,2,fw
> E: NAME="PC Speaker"
> E: PHYS="isa0061/input0"
> E: PRODUCT=10/1f/1/100
> E: PROP=0
> E: SND=6
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=16474300
>
> P: /devices/platform/pcspkr/input/input1/event1
> N: input/event1
> S: input/by-path/platform-pcspkr-event-spkr
> E: DEVLINKS=/dev/input/by-path/platform-pcspkr-event-spkr
> E: DEVNAME=/dev/input/event1
> E: DEVPATH=/devices/platform/pcspkr/input/input1/event1
> E: ID_INPUT=1
> E: ID_PATH=platform-pcspkr
> E: ID_PATH_TAG=platform-pcspkr
> E: ID_SERIAL=noserial
> E: MAJOR=13
> E: MINOR=65
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=16501699
>
> P: /devices/virtual/input/input14
> E: DEVPATH=/devices/virtual/input/input14
> E: EV=3
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: ID_INPUT_KEYBOARD=1
> E: ID_SERIAL=noserial
> E: KEY=ffffffffffffffff ffffffffffffffff ffffffffffffffff fffffffffffffffe
> E:
> MODALIAS=input:b0003v0000p0000e0004-e0,1,k71,72,73,74,75,76,77,78,79,7A,7B,7C,7D,7E,7F,80,81,82,83,84,85,86,87,88,89,8A,8B,8C,8D,8E,8F,90,91,92,93,94,95,96,97,98,99,9A,9B,9C,9D,9E,9F,A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,AA,AB,AC,AD,AE,AF,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,BA,BB,BC,BD,BE,BF,C0,C1,C2,C3,C4,C5,C6,C7,C8,C9,CA,CB,CC,CD,CE,CF,D0,D1,D2,D3,D4,D5,D6,D7,D8,D9,DA,DB,DC,DD,DE,DF,E0,E1,E2,E3,E4,E5,E6,E7,E8,E9,EA,EB,EC,ED,EE,EF,F0,F1,F2,F3,F4,F5,F6,F7,F8,F9,FA,FB,FC,FD,FE,FF,ramlsfw
> E: NAME="ACPI Virtual Keyboard Device"
> E: PRODUCT=3/0/0/4
> E: PROP=0
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=27068313
>
> P: /devices/virtual/input/input14/event14
> N: input/event14
> E: DEVNAME=/dev/input/event14
> E: DEVPATH=/devices/virtual/input/input14/event14
> E: DMI_VENDOR=Sony Corporation
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: ID_INPUT_KEYBOARD=1
> E: ID_SERIAL=noserial
> E: MAJOR=13
> E: MINOR=78
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=27071609
> E: XKBLAYOUT=fi
> E: XKBMODEL=pc105
>
> P: /devices/virtual/input/input6
> E: DEVPATH=/devices/virtual/input/input6
> E: EV=7
> E: ID_INPUT=1
> E: KEY=40000 0 0 0 0
> E: MODALIAS=input:b0010v104Dp0000e0000-e0,1,2,k112,r8,amlsfw
> E: NAME="Sony Vaio Jogdial"
> E: PRODUCT=10/104d/0/0
> E: PROP=0
> E: REL=100
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=16813391
>
> P: /devices/virtual/input/input6/event6
> N: input/event6
> E: DEVNAME=/dev/input/event6
> E: DEVPATH=/devices/virtual/input/input6/event6
> E: ID_INPUT=1
> E: MAJOR=13
> E: MINOR=70
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=16817105
>
> P: /devices/virtual/input/input6/mouse0
> N: input/mouse0
> E: DEVNAME=/dev/input/mouse0
> E: DEVPATH=/devices/virtual/input/input6/mouse0
> E: ID_INPUT=1
> E: MAJOR=13
> E: MINOR=32
> E: SUBSYSTEM=input
> E: UDEV_LOG=3
> E: USEC_INITIALIZED=16817075
>
>
> DRM Information from dmesg:
> ---------------------------
> [    0.000000] No AGP bridge found
> [    0.000000] No AGP bridge found
> [    1.443108] Linux agpgart interface v0.103
> [    1.443313] agpgart-intel 0000:00:00.0: Intel HD Graphics Chipset
> [    1.443553] agpgart-intel 0000:00:00.0: detected gtt size: 2097152K
> total, 262144K mappable
> [    1.444690] agpgart-intel 0000:00:00.0: detected 131072K stolen memory
> [    1.445033] agpgart-intel 0000:00:00.0: AGP aperture is 256M @
> 0xc0000000
> [   17.595482] [drm] Initialized drm 1.1.0 20060810
> [   18.076231] [drm] MTRR allocation failed.  Graphics performance may
> suffer.
> [   18.076809] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
> [   18.076903] [drm] Driver supports precise vblank timestamp query.
> [   18.669380] fbcon: inteldrmfb (fb0) is primary device
> [   18.672076] [drm:ironlake_update_pch_refclk] *ERROR* enabling SSC on PCH
> [   18.672437] [drm] Changing LVDS panel from (+hsync, -vsync) to (-hsync,
> -vsync)
> [   19.499792] fb0: inteldrmfb frame buffer device
> [   19.499798] drm: registered panic notifier
> [   19.533879] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on
> minor 0
> [26185.847058] [drm:ironlake_update_pch_refclk] *ERROR* enabling SSC on PCH
> [31641.466740] [drm:ironlake_update_pch_refclk] *ERROR* enabling SSC on PCH
> [31641.469491] [drm] Changing LVDS panel from (+hsync, -vsync) to (-hsync,
> -vsync)
> [36021.701319] [drm:ironlake_update_pch_refclk] *ERROR* enabling SSC on PCH
> [36021.704038] [drm] Changing LVDS panel from (+hsync, -vsync) to (-hsync,
> -vsync)
>
>
> -- System Information:
> Debian Release: wheezy/sid
>  APT prefers testing
>  APT policy: (500, 'testing')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 3.1.0-1-amd64 (SMP w/4 CPU cores)
> Locale: LANG=fi_FI.utf8, LC_CTYPE=fi_FI.utf8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages xserver-xorg-video-intel depends on:
> ii  libc6                                  2.13-24
> ii  libdrm-intel1                          2.4.29-1
> ii  libdrm2                                2.4.29-1
> ii  libpciaccess0                          0.12.1-2
> ii  libudev0                               175-3
> ii  libx11-6                               2:1.4.4-4
> ii  libx11-xcb1                            2:1.4.4-4
> ii  libxcb-dri2-0                          1.7-4
> ii  libxcb-util0                           0.3.8-1
> ii  libxcb1                                1.7-4
> ii  libxext6                               2:1.3.0-3
> ii  libxfixes3                             1:5.0-4
> ii  libxv1                                 2:1.0.6-2
> ii  libxvmc1                               2:1.0.6-1
> ii  xserver-xorg-core [xorg-video-abi-11]  2:1.11.2.902-1
>
> xserver-xorg-video-intel recommends no packages.
>
> xserver-xorg-video-intel suggests no packages.
>
> -- no debconf information
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#651741; Package gnome-power-manager. (Sun, 15 Jan 2012 13:04:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kalle Olavi Niemitalo <kon@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 15 Jan 2012 13:04:25 GMT) Full text and rfc822 format available.

Message #20 received at 651741@bugs.debian.org (full text, mbox):

From: Kalle Olavi Niemitalo <kon@iki.fi>
To: 651741@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#651741: gnome-power-manager: display backlight brightness has no effect on Sony Vaio VPCYA1V9E
Date: Sun, 15 Jan 2012 15:01:09 +0200
[Message part 1 (text/plain, inline)]
package gnome-power-manager
reassign 651741 xserver-xorg-video-intel
quit

Kalle Olavi Niemitalo <kon@iki.fi> writes:

> So, the next thing I'll try will be moving it back to the top.

That works, and I no longer think gnome-power-manager should
be changed, so I'm reassigning the bug.

Please change intel_output_backlight_init() in
xserver-xorg-video-intel to prefer the "intel_backlight"
device rather than "acpi_video0", at least on
Sony Vaio VPCYA1V9E.  This should be done because
/sys/class/backlight/acpi_video0/brightness does not
affect the brightness of the backlight on this machine but
/sys/class/backlight/intel_backlight/brightness does.

On other machines, I think it would be safest to keep using
acpi_video0, so as not to cause new bugs.  I'm not sure what
would be the best way for xserver-xorg-video-intel to detect this
laptop model.  I can think of these ways:

(a) User override via xorg.conf, documented in intel(4).
    Would be OK for knowledgeable users, but difficult to
    find for others, especially if it is initially not even
    clear that the backlight is controlled via the X server.

(b) PCI subsystem.  Here, lspci -vn shows:

    00:02.0 0300: 8086:0046 (rev 02) (prog-if 00 [VGA controller])
            Subsystem: 104d:907c

    intel_driver.h defines the SUBVENDOR_ID and SUBSYS_ID macros,
    which intel_output_backlight_init could use on
    intel_get_screen_private(output->scrn)->PciInfo.
    The problem with this is that the subsystem ID might cover
    more laptop models than necessary.

(c) Manufacturer and product name from DMI.
    I don't know how to read these in xserver-xorg-video-intel.

(d) Version or checksum of ACPI DSDT, so that the workaround will
    be automatically disabled if the firmware is upgraded.
    Here, iasl -d shows:

    * Original Table Header:
    *     Signature        "DSDT"
    *     Length           0x0000ACA8 (44200)
    *     Revision         0x02
    *     Checksum         0x39
    *     OEM ID           "Sony"
    *     OEM Table ID     "VAIO"
    *     OEM Revision     0x20101102 (537923842)
    *     Compiler ID      "MSFT"
    *     Compiler Version 0x01000013 (16777235)

At this time, I like approach (b) best.

Ender Akduman <enderakduman@gmail.com> writes:

> By the way do you mean 'backlight' instead of 'backlist' in:
> (...when it was renamed from "intel" to "intel_backlist")

Thank you for the correction.
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'gnome-power-manager' to 'xserver-xorg-video-intel'. Request was from Kalle Olavi Niemitalo <kon@iki.fi> to control@bugs.debian.org. (Sun, 15 Jan 2012 13:05:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#651741; Package xserver-xorg-video-intel. (Sun, 15 Jan 2012 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kalle Olavi Niemitalo <kon@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 15 Jan 2012 14:21:03 GMT) Full text and rfc822 format available.

Message #27 received at 651741@bugs.debian.org (full text, mbox):

From: Kalle Olavi Niemitalo <kon@iki.fi>
To: 651741@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#651741: gnome-power-manager: display backlight brightness has no effect on Sony Vaio VPCYA1V9E
Date: Sun, 15 Jan 2012 16:19:17 +0200
[Message part 1 (text/plain, inline)]
package xserver-xorg-video-intel
tags 651741 + patch
quit

Kalle Olavi Niemitalo <kon@iki.fi> writes:

> (b) PCI subsystem.  Here, lspci -vn shows:
>
>     00:02.0 0300: 8086:0046 (rev 02) (prog-if 00 [VGA controller])
>             Subsystem: 104d:907c
>
>     intel_driver.h defines the SUBVENDOR_ID and SUBSYS_ID macros,
>     which intel_output_backlight_init could use on
>     intel_get_screen_private(output->scrn)->PciInfo.

I implemented this in the following patch.  It makes
xserver-xorg-video-intel correctly use intel_backlight on
my Sony VAIO VPCYA1V9E, so that gnome-power-manager can then
control the brightness.  I have not tested on other computers,
especially not on other VAIO models.

Perhaps the upstream maintainer will eventually choose a
different solution; but until then, I think including this patch
in the Debian package would help VAIO users.

[prefer_intel_backlight_on_vaio (text/plain, inline)]
Index: xserver-xorg-video-intel-2.17.0/src/intel_display.c
===================================================================
--- xserver-xorg-video-intel-2.17.0.orig/src/intel_display.c	2012-01-15 15:38:03.000000000 +0200
+++ xserver-xorg-video-intel-2.17.0/src/intel_display.c	2012-01-15 15:56:32.000000000 +0200
@@ -118,7 +118,8 @@
 #define BACKLIGHT_CLASS "/sys/class/backlight"
 
 /*
- * List of available kernel interfaces in priority order
+ * List of available kernel interfaces in priority order.
+ * May be overridden by a model-specific workaround.
  */
 static const char *backlight_interfaces[] = {
 	"asus-laptop",
@@ -240,28 +241,55 @@
 	return max;
 }
 
+static Bool
+intel_output_backlight_probe(xf86OutputPtr output, const char *iface)
+{
+	struct intel_output *intel_output = output->driver_private;
+	char path[BACKLIGHT_PATH_LEN];
+	struct stat buf;
+
+	sprintf(path, "%s/%s", BACKLIGHT_CLASS, iface);
+	if (!stat(path, &buf)) {
+		intel_output->backlight_iface = iface;
+		intel_output->backlight_max = intel_output_backlight_get_max(output);
+		if (intel_output->backlight_max > 0) {
+			intel_output->backlight_active_level = intel_output_backlight_get(output);
+			xf86DrvMsg(output->scrn->scrnIndex, X_INFO,
+				   "found backlight control interface %s\n", path);
+			return TRUE;
+		}
+	}
+
+	return FALSE;
+}
+
 static void
 intel_output_backlight_init(xf86OutputPtr output)
 {
 	struct intel_output *intel_output = output->driver_private;
+	intel_screen_private *intel = intel_get_screen_private(output->scrn);
 	int i;
 
-	for (i = 0; backlight_interfaces[i] != NULL; i++) {
-		char path[BACKLIGHT_PATH_LEN];
-		struct stat buf;
+	/* Debian bug 651741: With Linux 3.1.0 on Sony VAIO VPCYA1V9E,
+	 * both acpi_video0 and intel_backlight exist and can be
+	 * adjusted, but only intel_backlight affects the display.
+	 */
+	if (VENDOR_ID(intel->PciInfo) == 0x8086 /* Intel */
+	    && DEVICE_ID(intel->PciInfo) == PCI_CHIP_IRONLAKE_M_G
+	    && CHIP_REVISION(intel->PciInfo) == 0x02
+	    && SUBVENDOR_ID(intel->PciInfo) == 0x104d /* Sony */
+	    && SUBSYS_ID(intel->PciInfo) == 0x907c) {
+		xf86DrvMsg(output->scrn->scrnIndex, X_INFO,
+			   "will prefer intel_backlight on this Sony VAIO model\n");
+		if (intel_output_backlight_probe(output, "intel_backlight"))
+			return;
+	}
 
-		sprintf(path, "%s/%s", BACKLIGHT_CLASS, backlight_interfaces[i]);
-		if (!stat(path, &buf)) {
-			intel_output->backlight_iface = backlight_interfaces[i];
-			intel_output->backlight_max = intel_output_backlight_get_max(output);
-			if (intel_output->backlight_max > 0) {
-				intel_output->backlight_active_level = intel_output_backlight_get(output);
-				xf86DrvMsg(output->scrn->scrnIndex, X_INFO,
-					   "found backlight control interface %s\n", path);
-				return;
-			}
-		}
+	for (i = 0; backlight_interfaces[i] != NULL; i++) {
+		if (intel_output_backlight_probe(output, backlight_interfaces[i]))
+			return;
 	}
+
 	intel_output->backlight_iface = NULL;
 }
 
[Message part 3 (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Kalle Olavi Niemitalo <kon@iki.fi> to control@bugs.debian.org. (Sun, 15 Jan 2012 14:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#651741; Package xserver-xorg-video-intel. (Sun, 15 Jan 2012 16:21:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 15 Jan 2012 16:21:11 GMT) Full text and rfc822 format available.

Message #34 received at 651741@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Kalle Olavi Niemitalo <kon@iki.fi>, 651741@bugs.debian.org
Subject: Re: Bug#651741: gnome-power-manager: display backlight brightness has no effect on Sony Vaio VPCYA1V9E
Date: Sun, 15 Jan 2012 16:50:59 +0100
[Message part 1 (text/plain, inline)]
Hi Kalle,

Kalle Olavi Niemitalo <kon@iki.fi> (15/01/2012):
> I implemented this in the following patch. […]

many thanks for that.

> Perhaps the upstream maintainer will eventually choose a different
> solution; but until then, I think including this patch in the Debian
> package would help VAIO users.

It would be very nice if you could submit your patch upstream
(bugs.freedesktop.org, product xorg, component Driver/intel), let us
know about the bug number/URL, so that we can track upstream's comments,
and possibly include it in Debian if that looks OK. I'd rather not break
other people's driver without an upstream review.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=44809'. Request was from Kalle Olavi Niemitalo <kon@iki.fi> to control@bugs.debian.org. (Sun, 15 Jan 2012 18:21:08 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Kalle Olavi Niemitalo <kon@iki.fi> to control@bugs.debian.org. (Sun, 15 Jan 2012 18:21:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions xserver-xorg-video-intel/2:2.18.0-1. Request was from Kalle Olavi Niemitalo <kon@iki.fi> to control@bugs.debian.org. (Mon, 12 Mar 2012 21:51:03 GMT) Full text and rfc822 format available.

Marked as found in versions xserver-xorg-video-intel/2:2.18.0-2. Request was from Kalle Olavi Niemitalo <kon@iki.fi> to control@bugs.debian.org. (Tue, 01 May 2012 05:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#651741; Package xserver-xorg-video-intel. (Fri, 08 Jun 2012 06:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to littlebat <dashing.meng@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 08 Jun 2012 06:27:06 GMT) Full text and rfc822 format available.

Message #47 received at 651741@bugs.debian.org (full text, mbox):

From: littlebat <dashing.meng@gmail.com>
To: 651741@bugs.debian.org
Subject: Re: Bug#651741: gnome-power-manager: display backlight brightness has no effect on Sony Vaio VPCYA1V9E
Date: Fri, 8 Jun 2012 14:25:10 +0800
[Message part 1 (text/plain, inline)]
Hi,
I think I found a easy and least effect to the existed things' way for
adjusting intel_backlight using udev rules.
I noticed "change" action of "backlight" subsystem when I press Fn +
PgUp/PgDn on my lenovo G360 + 3.2 Kernel notebook. So I wrote a rules of
"/etc/udev/rules.d/99-writeintelbacklight.rules" as below:

    ACTION=="change", SUBSYSTEM=="backlight",
RUN+="/usr/sbin/writeintelbacklight.sh"

A shell: "/usr/sbin/writeintelbacklight.sh"

    #!/bin/bash

    intelmaxbrightness=`cat
/sys/class/backlight/intel_backlight/max_brightness`
    acpimaxbrightness=`cat /sys/class/backlight/acpi_video0/max_brightness`
    scale=`expr $intelmaxbrightness / $acpimaxbrightness`
    acpibrightness=`cat /sys/class/backlight/acpi_video0/brightness`
    newintelbrightness=`expr $acpibrightness \* $scale`
    curintelbrightness=`cat
/sys/class/backlight/intel_backlight/actual_brightness`
    if [ "$newintelbrightness" -ne "$curintelbrightness" ]
    then
      echo $newintelbrightness >
/sys/class/backlight/intel_backlight/brightness
    fi
    exit 0

Of course, you need do a "sudo chmod +x /usr/sbin/writeintelbacklight.sh
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#651741; Package xserver-xorg-video-intel. (Mon, 11 Jun 2012 23:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to littlebat <dashing.meng@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 11 Jun 2012 23:18:07 GMT) Full text and rfc822 format available.

Message #52 received at 651741@bugs.debian.org (full text, mbox):

From: littlebat <dashing.meng@gmail.com>
To: 651741@bugs.debian.org
Subject: Re: Bug#651741: gnome-power-manager: display backlight brightness has no effect on Sony Vaio VPCYA1V9E
Date: Tue, 12 Jun 2012 07:16:17 +0800
[Message part 1 (text/plain, inline)]
Added "acpi_backlight=vendor acpi_osi=linux video.brightness_switch_enabled=1"
into grub boot kernel parameters, "Fn + Up/Down" to change brigtness works on
my G360. It's no need to write a Udev rules like my previous method.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#651741; Package xserver-xorg-video-intel. (Fri, 22 Jun 2012 04:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to littlebat <dashing.meng@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 22 Jun 2012 04:15:03 GMT) Full text and rfc822 format available.

Message #57 received at 651741@bugs.debian.org (full text, mbox):

From: littlebat <dashing.meng@gmail.com>
To: 651741@bugs.debian.org
Subject: Re: Bug#651741: gnome-power-manager: display backlight brightness has no effect on Sony Vaio VPCYA1V9E
Date: Fri, 22 Jun 2012 12:13:24 +0800
[Message part 1 (text/plain, inline)]
It seems adding only one kernel parameter "acpi_backlight=vendor" also
works on my G360 now. But, both methods of adding kernel parameters will
stop work occasionly.

The detail of my case see:
Bug 44809 - [Arrandale backlight] Brightness via RANDR has no effect on
Sony VAIO VPCYA1V9E: https://bugs.freedesktop.org/show_bug.cgi?id=44809

2012/6/12 littlebat <dashing.meng@gmail.com>

> Added "acpi_backlight=vendor acpi_osi=linux video.brightness_switch_enabled=1"
> into grub boot kernel parameters, "Fn + Up/Down" to change brigtness works on
> my G360. It's no need to write a Udev rules like my previous method.
>
>
[Message part 2 (text/html, inline)]

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 23 Aug 2012 20:06:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#651741; Package xserver-xorg-video-intel. (Sun, 21 Oct 2012 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kalle Olavi Niemitalo <kon@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 21 Oct 2012 13:39:03 GMT) Full text and rfc822 format available.

Message #64 received at 651741@bugs.debian.org (full text, mbox):

From: Kalle Olavi Niemitalo <kon@iki.fi>
To: 651741@bugs.debian.org
Subject: Re: Bug#651741: gnome-power-manager: display backlight brightness has no effect on Sony Vaio VPCYA1V9E
Date: Sun, 21 Oct 2012 16:30:32 +0300
[Message part 1 (text/plain, inline)]
package xserver-xorg-video-intel
tags 651741 - fixed-upstream
found 651741 xserver-xorg-video-intel/2:2.19.0-6
quit

The upstream developers of xf86-video-intel denied my request to
blacklist the faulty VAIO ACPI implementation.  They said Linux
should be patched instead.  I have not yet reported the problem
to the kernel bugzilla.

However, later upstream versions let the system administrator
override the automatic selection of a backlight control device,
by adding Option "Backlight" to /etc/X11/xorg.conf:

Section "Device"
        Option     "AccelMethod"        "uxa"
        Option     "Backlight"          "intel_backlight"
	Identifier  "Card0"
	Driver      "intel"
	BusID       "PCI:0:2:0"
EndSection

This option was added in xf86-video-intel 2.20.6, and a serious
bug in it was fixed in 2.20.7.  The current version in Debian
experimental is 2:2.20.5-1, which does not support this option.

As a workaround until Linux automatically disables the useless
backlight control device, I propose backporting this option.
For UXA, the backport is pretty easy; please see the attached
patch.  For SNA, it would require more work, and I did not
attempt it.

To test this patch on Sony Vaio VPCYA1V9E, I built and installed
xserver-xorg-video-intel 2:2.19.0-6 + this patch, created an
/etc/X11/xorg.conf containing only the "Device" section shown
above, and restarted the X server.  /var/log/Xorg.0.log then
showed that /sys/class/backlight/intel_backlight was being used,
and I was able to control the backlight with xrandr and with key
combinations.

[0004-Option-Backlight.patch (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Removed tag(s) fixed-upstream. Request was from Kalle Olavi Niemitalo <kon@iki.fi> to control@bugs.debian.org. (Sun, 21 Oct 2012 13:39:09 GMT) Full text and rfc822 format available.

Marked as found in versions xserver-xorg-video-intel/2:2.19.0-6. Request was from Kalle Olavi Niemitalo <kon@iki.fi> to control@bugs.debian.org. (Sun, 21 Oct 2012 13:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#651741; Package xserver-xorg-video-intel. (Mon, 03 Jun 2013 09:37:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nathan Sunshine <supernathansunshine@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 03 Jun 2013 09:37:43 GMT) Full text and rfc822 format available.

Message #73 received at 651741@bugs.debian.org (full text, mbox):

From: Nathan Sunshine <supernathansunshine@gmail.com>
To: 651741@bugs.debian.org
Date: Mon, 3 Jun 2013 17:04:29 +0900
[Message part 1 (text/plain, inline)]
I am successfully using this fix in Arch linux with sna

  Section "Device"
Identifier  "Intel Graphics"
Driver      "intel"
Option      "AccelMethod"  "sna"
Option     "Backlight"          "intel_backlight"
Identifier  "Card0"
Driver      "intel"
BusID       "PCI:0:2:0"

EndSection



-- 
"Super" Nathan Weber <supernathansunshine@gmail.com>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#651741; Package xserver-xorg-video-intel. (Tue, 23 Jul 2013 16:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gulshan Singh <gsingh2011@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 23 Jul 2013 16:09:09 GMT) Full text and rfc822 format available.

Message #78 received at 651741@bugs.debian.org (full text, mbox):

From: Gulshan Singh <gsingh2011@gmail.com>
To: 651741@bugs.debian.org
Subject: Fix for Arch
Date: Tue, 23 Jul 2013 09:06:42 -0700
[Message part 1 (text/plain, inline)]
The fix in the previous message for Arch didn't work for me because there
are two Identifier lines. Removing the Card0 line works:

Section "Device"
	Identifier  "Intel Graphics"
	Driver      "intel"
	Option      "AccelMethod"     "sna"
	Option      "Backlight"       "intel_backlight"
	Driver      "intel"
	BusID       "PCI:0:2:0"
EndSection


-- 
Gulshan Singh
University of Michigan, Class of 2015
College of Engineering, Computer Science Major
gulshan@umich.edu | 248.961.6317
Alternate E-mail: gsingh2011@gmail.com
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:41:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.